GNOME System Tools Version 3.0.0, 2011-04-03
-----------------------------------------------

  General
  =======
  - Update DOAP file

  Translation
  ===========
  - cs, courtesy of Marek Černocký
  - de, courtesy of Mario Blättermann
  - eo, courtesy of Kristjan SCHMIDT
  - es, courtesy of Jorge González
  - fr, courtesy of Bruno Brouard
  - he, courtesy of Yaron Shahrabani
  - lv, courtesy of Rūdofls Mazurs
  - pl, courtesy of Piotr Drąg
  - sl, courtesy of Andrej Žnidaršič
  - zh_CN, courtesy of YunQiang Su


GNOME System Tools Version 2.91.90, 2011-02-26
-----------------------------------------------

  General
  =======
  - Fix build with final GTK+3 (bug 642912)
  - Fix closing GstDialogs and launching the help
  - Update README file

  Users
  =====
  - Use /org/gnome/system-tools/ for GSettings schema path

  Time
  ====
  - Fix libemap.a linking with --add-needed
  - Remove useless time zone icon from main dialog

  Translation
  ===========
  - bg, courtesy of Alexander Shopov 
  - cs, courtesy of Marek Černocký 
  - de, courtesy of Mario Blättermann 
  - es, courtesy of Daniel Mustieles 
  - et, courtesy of Mattias Põldaru 
  - fr, courtesy of Claude Paroz 
  - gl, courtesy of Fran Diéguez 
  - he, courtesy of Yaron Shahrabani 
  - nb, courtesy of Torstein Adolf Winterseth 
  - sl, courtesy of Klemen Košir 
  - ug, courtesy of Sahran 
  - zh_HK, courtesy of Wei-Lun Chao 
  - zh_TW, courtesy of Wei-Lun Chao 


GNOME System Tools Version 2.91.1, 2010-12-19
-----------------------------------------------

  General
  =======
  - Port to GTK+3, drop support for GTK+2
  - Move from PolkitLockButton to a temporary implementation based on GPermission
  - Use upstream gettext instead of GLib's

  Users
  =====
  - Fix setting password from random entry
  - Fix editing newly created users
  - Dramatic performance improvements when loading users and groups
  - Hide custom user profile when not selected
  - Fix cases where advanced settings cannot be edited
  - Don't unref() user face if it's NULL
  - Remove users search-bar code

  Time
  ====
  - Rework EMap widget to use Cairo and new GTK+ API (Benjamin Otte)
  - Various cleanups in EMap widget
  - Remove unreachable NTP servers
  - Don't suggest Stratum 1 NTP servers

  Network
  =======
  - Fix markup in interfaces description

  Translation
  ===========
  - ca, courtesy of Joan Duran
  - ca@valencia, courtesy of Joan Duran
  - es, courtesy of Jorge González
  - eu, courtesy of Iñaki Larrañaga Murgoitio
  - he, courtesy of Yaron Shahrabani
  - it, courtesy of Gianvito Cavasoli
  - ko, courtesy of Changwoo Ryu
  - nb, courtesy of Kjartan Maraas
  - sk, courtesy of Pavol Klačanský
  - sl, courtesy of Klemen Košir
  - ug, courtesy of Sahran


GNOME System Tools Version 2.32.0, 2010-09-27
-----------------------------------------------

  Translation
  ===========
  - ar, courtesy of Khaled Hosny
  - bg, courtesy of Damyan Ivanov
  - da, courtesy of Ask Hjorth Larsen
  - it, courtesy of Gianvito Cavasoli
  - ja, courtesy of Takayuki KUSANO
  - lt, courtesy of Žygimantas Beručka
  - pt_BR, courtesy of Daniel S. Koda
  - ru, courtesy of Yuri Myasoedov
  - ug, courtesy of Sahran


GNOME System Tools Version 2.31.92, 2010-09-13
-----------------------------------------------

  Users
  =====
  - Don't allow locked accounts to use password-less login

  Translation
  ===========
  - cs, courtesy of Marek Černocký
  - de, courtesy of Christian Kirbach
  - fr, courtesy of Bruno Brouard
  - el, courtesy of Michael Kotsarinis
  - en_GB, courtesy of Philip Withnall
  - nb, courtesy of Kjartan Maraas
  - pl, courtesy of Piotr Drąg
  - pt, courtesy of Duarte Loreto
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr.T.Vasudevan
  - zh_CN, courtesy of YunQiang Su


GNOME System Tools Version 2.31.91, 2010-08-30
-----------------------------------------------

  General
  =======
  - Update GSettings support
  - Mark GSettings schemas for translation
  - Remove unnecessary markup from strings

  Users
  =====
  - Improve support for changing home directory
  - Fallback to displaying login when real name is missing
  - Make groups management UI clearer
  - Change "Short Name" to "Username"
  - Handle two new error messages from 'passwd'

  Translation
  ===========
  - ar, courtesy of Khaled Hosny
  - cs, courtesy of Marek Černocký
  - de, courtesy of Mario Blättermann
  - eo, courtesy of Kristjan SCHMIDT
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - et, courtesy of Mattias Põldaru
  - fr, courtesy of Claude Paroz
  - gl, courtesy of Fran Dieguez
  - he, courtesy of Yaron Shahrabani
  - hu, courtesy of Gabor Kelemen
  - lv, courtesy of Rūdolfs Mazurs
  - nb, courtesy of Kjartan Maraas
  - pa, courtesy of A S Alam
  - sl, courtesy of Matej Urbančič
  - sr, courtesy of Милош Поповић
  - sr@latin, courtesy of Miloš Popović
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr.T.Vasudevan
  - zh_CN, courtesy of Tao Wang
  - zh_HK, courtesy of Chao-Hsiung Liao
  - zh_TW, courtesy of Chao-Hsiung Liao


GNOME System Tools Version 2.31.1, 2010-05-24
-----------------------------------------------

  General
  =======
  - Migrate to GSettings
  - Build with -DGSEAL_ENABLED (Andre Klapper)
  - Fix a few warnings

  Users
  =====
  - Show login instead of (null) for users with no Real name
  - Fix Add/Delete buttons not growing enough to hold their labels
  - Fix incorrect English sentence in new user dialog
  - Update users list when GConf keys are changed
  - Don't hang when new and old password are too similar
  - Escape user name and login before passing it to tree view
  - Fix password label changing size
  - Fix updating users list when conf key is changed
  - Fix string about password length

  Shares
  ======
  - Fix wrong capitalization in documentation

  Time
  ====
  - Remove deprecated GtkWidget flags in EMap and re-sync with Evolution

  Translation
  ===========
  - ca@valencia, courtesy of Joan Duran
  - en@shaw, courtesy of Thomas Thurman
  - es, courtesy of Jorge González
  - et, courtesy of Mattias Põldaru
  - gl, courtesy of Francisco Diéguez
  - ms, courtesy of Ahmed Noor Kader Mustajir Md Eusoff


GNOME System Tools Version 2.30.0, 2010-03-29
-----------------------------------------------

  General
  =======
  - Fix a few compiler warnings (Andre Klapper, Bug 612805)

  Users
  =====
  - Only update Real name in case of success
  - Force updating groups when showing groups dialog
  - Fix hang when new and old password only differ in case
  - Fix hang when changing empty password to something else
  - Fix hiding "encrypt home folder" option when not supported
  - Fix "Reload config?" dialog shown after creating a group
  - Remove duplicate deletion of groups
  - Replace UTF-8 characters escaped by Glade (Gabor Kelemen, Bug 613115)
  - Remove placeholder strings
  - Mark a string as translatable
  - Fix warning when NO_PASSWD_LOGIN group doesn't exist

  Translation
  ===========
  - af, courtesy of F. Wolff
  - be, courtesy of Ihar Hrachyshka
  - bg, courtesy of Alexander Shopov
  - bn, courtesy of Israt Jahan
  - ca, courtesy of Joan Duran
  - cs, courtesy of Marek Černocký
  - da, courtesy of Ask Hjorth Larsen
  - de, courtesy of Christian Kirbach
  - el, courtesy of Simos Xenitellis
  - en_GB, courtesy of Philip Withnall
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - eu, courtesy of Iñaki Larrañaga Murgoitio
  - fi, courtesy of Tommi Vainikainen
  - fr, courtesy of Milan Bouchet-Valat
  - gl, courtesy of Fran Diéguez
  - hu, courtesy of Gabor Kelemen
  - it, courtesy of Gianvito Cavasoli
  - ko, courtesy of Changwoo Ryu
  - lt, courtesy of Žygimantas Beručka
  - ms, courtesy of Ahmed Noor Kader Mustajir Md Eusoff
  - pa, courtesy of A S Alam
  - pl, courtesy of Piotr Drąg
  - pt_BR, courtesy of Jonh Wendell
  - pt, courtesy of Duarte Loreto
  - ro, courtesy of Adi Roiban
  - ru, courtesy of Leonid Kanter
  - sl, courtesy of Matej Urbančič
  - sr, courtesy of Бранко Кокановић
  - sr@latin, courtesy of Branko Kokanović
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr,T,Vasudevan
  - uk, courtesy of Maxim Dziumanenko
  - zh_HK, courtesy of Kevin Wei
  - zh_TW, courtesy of Kevin Wei


GNOME System Tools Version 2.29.92, 2010-03-08
-----------------------------------------------

  Users
  =====
  - Update main view fields after changing settings
  - Gracefully handle non-existent groups listed in user profiles
  - Work around an adduser limitation that makes it fail when a group using the new login already exists
  - Support account password locking/unlocking

  Translation (made harder due a maintainer's mistake about freeze break)
  ===========
  - ar, courtesy of Khaled Hosny
  - bg, courtesy of Alexander Shopov
  - ca, courtesy of Joan Duran
  - da, courtesy of Ask Hjorth Larsen
  - de, courtesy of Christian Kirbach
  - el, courtesy of Kostas Papadimas
  - en_GB, courtesy of Philip Withnall
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - fr, courtesy of Claude Paroz
  - gl, courtesy of Antón Méixome
  - pl, courtesy of Piotr Drąg
  - ru, courtesy of Yuri Kozlov
  - sl, courtesy of Matej Urbančič
  - sv, courtesy of Daniel Nylander
  - zh_HK, courtesy of Chao-Hsiung Liao
  - zh_TW, courtesy of Chao-Hsiung Liao


GNOME System Tools Version 2.29.91, 2010-02-15
-----------------------------------------------

  Common
  ======
  - Add nfs-common and nfs-server to the services list (needed by ArchLinux)

  Users
  =====
  - Fix crash when main group isn't set
  - Fix hang when configuration files are updated while the tool is running
  - Fix selecting current user on start, and ensure we always show it in the list
  - Always make new users own their home directory, if it already existed
  - Unreference users and groups on exit to allow them to clear their data
  - Small cosmetic improvements

  Time
  ====
  - Fix time-admin crash due to broken callbacks
  - Don't update NTP configuration on every start

  Translation
  ===========
  - de, courtesy of Christian Kirbach
  - gl, courtesy of Fran Diéguez
  - ta, courtesy of Dr. T. Vasudevan


GNOME System Tools Version 2.29.90, 2010-02-08
-----------------------------------------------

  Users
  =====
  - Fix hangs when changing own password with some PAM setups
  - Update password field to indicate whether password is empty and/or asked on login
  - Support disabled accounts, waiting for the backends to report this
  - Sort users and groups list, implement search
  - Don't resize window with long user names
  - Improve buttons string to be "Change..."
  - Fix "Reload Changes?" dialog shown after creating an user
  - Fix a few leaks of OobsUsers and OobsGroups

  Services
  ========
  - Only commit changes to one service at a time, to avoid many harmful issues
  - Remove unlock button, ask for authentication on-the-fly
  - Improve appearance of services list, use some additional icons and known services

  Shares
  ======
  - Don't create an OobsIfacesConfig object since it's not used and consumes memory

  Translation
  ===========
  - ar, courtesy of Khaled Hosny
  - es, courtesy of Jorge González
  - fr, courtesy of Claude Paroz
  - nb, courtesy of Kjartan Maraas
  - pa, courtesy of A S Alam
  - sl, courtesy of Matej Urbančič
  - zh_CN, courtesy of Eleanor Chen
  - zh_HK, courtesy of Chao-Hsiung Liao
  - zh_TW, courtesy of Chao-Hsiung Liao


GNOME System Tools Version 2.29.3, 2010-01-25
-----------------------------------------------

  Users
  =====
  - Change password for current user by running 'passwd', to avoid breaking keyrings and encrypted dirs
  - Ask for PolicyKit authentication when it most makes sense, i.e. when showing dialogs
  - Option to set encrypted home directories when creating users (on platforms that support it)
  - When editing one group, only commit changes to that group
  - When changing Real name, update it in the users list
  - Select current user on start, and the first one after selected user has been deleted
  - Don't force updating configuration twice on start

  Shares
  ======
  - Use new oobs_object_authenticate() instead of broken gst_dialog_authenticate()

  Translation
  ===========
  - ar, courtesy of Khaled Hosny
  - bn, courtesy of Sadia Afroz
  - es, courtesy of Jorge González
  - nb, courtesy of Kjartan Maraas
  - sv, courtesy of Daniel Nylander


GNOME System Tools Version 2.29.2, 2010-01-11
-----------------------------------------------

  Users
  =====
  - Move to new System Tools Backends protocol (new liboobs API). We now only commit changes to one user at a time, reducing the risk for dangerous bugs.
  - Include default profiles configuration file (user-profiles.conf). Distributors should modify it to suit their needs and send them back for inclusion.
  - When creating an user, don't force UID, main group, home directory and shell: these parameters are now handled (better) by the platform tools.
  - Allow removing home directory when deleting an user.
  - Don't allow deleting the last administrator account, and warn when the user is losing its own admin rights. Same for active users.
  - Don't allow creating a group with an existing GID.
  - Use UID and GID ranges defined by liboobs, depending on the platform's abilities.
  - Clear suggested login entry when Real name is emptied in the new user dialog.
  - Change GConf "showall" option to apply only on users. System groups are always shown, since they are the most interesting ones.
  - Various UI and string improvements.

  Translation
  ===========
  - ast, courtesy of astur
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - fr, courtesy of Claude Paroz
  - nb, courtesy of Kjartan Maraas
  - sl, courtesy of Matej Urbančič
  - uk, courtesy of Maxim Dziumanenko


GNOME System Tools Version 2.29.1, 2009-11-30
-----------------------------------------------

  General
  =======
  - Enable Automake silent rules by default, and compiler warnings
  - Remove call to deprecated gdk_event_get_graphics_expose() (thanks to Andre Klapper)

  Users
  =====
  - Complete rework of the user interface: settings are now shown in the main dialog, with separate dialogs to edit them. Unlock button is gone, replaced with on-the-fly authentication request when applying changes.
  - Login proposals are now shown when creating an user, with live checking of forbidden characters, and transliteration from Unicode where possible.
  - Fix empty shells combo box
  - Fix GID wrongly set to 0 in group settings dialog, which could lead to adding users to the root group
  - Add privilege groups from Debian (Sam Morris)
  - Always show system groups: "showall" GConf option is now only for users, because system groups are the most interesting ones

  Shares
  ======
  - Don't check for Nautilus dependencies when not building it (Emilio Pozuelo Monfort)

  Time
  ====
  - Remove obsolete time servers, which generated log error messages from ntpd (thanks to MechaMechanism)

  Services
  ========
  - Never reset script boot priority to a default of 50, but use previous value.
  - Add landscape-client to the list of known services.

  Network
  =======
  - Bring back PPP connection type combo box, which was empty since the migration to GtkBuilder

  Translation
  ===========
  - ar, courtesy of Khaled Hosny
  - br, courtesy of denis
  - ca, courtesy of Josep Puigdemont i Casamajó
  - cs, courtesy of Jiri Eischmann
  - da, courtesy of Kenneth Nielsen
  - de, courtesy of Christian Kirbach
  - el, courtesy of Kostas Papadimas
  - en_GB, courtesy of Philip Withnall
  - en@shaw, courtesy of Thomas Thurman
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - fi, courtesy of Tommi Vainikainen
  - hu, courtesy of Gabor Kelemen
  - it, courtesy of Gianvito Cavasoli
  - mai, courtesy of Sangeeta Kumari
  - mr, courtesy of Sandeep Shedmake
  - nb, courtesy of Kjartan Maraas
  - nds, courtesy of Nils-Christoph Fiedler
  - pl, courtesy of Tomasz Dominikowski
  - pt_BR, courtesy of André Gondim
  - pt, courtesy of Duarte Loreto
  - ro, courtesy of Adi Roiban
  - sl, courtesy of Matej Urbančič
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr.T.Vasudevan
  - te, courtesy of Krishna Babu K
  - uk, courtesy of Maxim Dziumanenko
  - zh_CN, courtesy of Tao Wei
  - zh_HK, courtesy of Chao-Hsiung Liao
  - zh_TW, courtesy of Chao-Hsiung Liao



GNOME System Tools Version 2.27.3, 2009-08-20
-----------------------------------------------

The GNOME System Tools version 2.27.3 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends know nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  General
  =======
  - Port to PolicyKit1. This bumps the dependency on the system-tools-backends to 2.8. We now depend on libpolkit-gtk-1 instead of PolicyKit itself. (Milan Bouchet-Valat)
  - Fix compiler warnings with printf()s (Robert Ancell)
  - Don't mark for translation filesystem path strings (Claude Paroz)
  - Add groups and services used by PLD (Patryk Zawadzki)
  - Always report detailed errors when committing configuration changes (Milan Bouchet-Valat)

  Services
  ========
  - Support Gentoo services management (Jeremy Guitton)

  Users
  =====
  - Fix user profiles combo by creating its model (removes warnings and makes it work!) (Milan Bouchet-Valat)
  - Fix showing profiles and groups in user settings (Milan Bouchet-Valat)
  - Various fixes with regard to authorizations and widget's sensitivity (Milan Bouchet-Valat)
  - Fix warnings about GtkAdjustment page-size property (Milan Bouchet-Valat)

  Translation
  ===========
  - bg, courtesy of Yavor Doganov
  - bn, courtesy of Maruf Ovee
  - es, courtesy of Jorge González
  - et, courtesy of Ivar Smolin
  - fi, courtesy of Tommi Vainikainen
  - fr, courtesy of Claude Paroz
  - ga, courtesy of Seán de Búrca
  - gl, courtesy of Antón Méixome
  - he, courtesy of Yaron Shahrabani
  - nb, courtesy of Kjartan Maraas
  - pt_BR, courtesy of Djavan Fagundes
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr.T.Vasudevan

  Thanks to anyone involved in this release; downstream patches have not completely been committed yet, and patchers are still active!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.27/


GNOME System Tools Version 2.27.2, 2009-07-27
-----------------------------------------------

The GNOME System Tools version 2.27.2 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  General
  =======
  - Removed not built code of the old boot druid. This removed the dependency on libgnomeui via GnomeDruid. (Stéphane Demurget)
  - Remove useless headers drawing dependencies on libgnome and libgnomeui. (Andre Klapper)
  - Complete migration to GtkBuilder. The g-s-t no longer require libglade now. (Javier Jardón)
  - Much upstreaming of patches from Debian and Ubuntu (please read the notice at the end of the announcement).
  - Other old patches from Bugzilla applied.

  Common
  ======
  - Don't use default D-Bus timeout when asking PolicyKit for authentication. (Chris Coulson)
  - Partly fix broken jhbuild by taking into account installation prefix. (Milan Bouchet-Valat)

  Network
  =======
  - Fix crash when editing properties of a host. (Josselin Mouette)
  - Fix crash when saving network location. (Milan Bouchet-Valat)

  Services
  ========
  - Update the list of boot services and reorder it. (Jeremy Guitton, Alex Magaz, Andy Owen and Martin Pitt)

  Time
  ====
  - Add a new time server from Lithuania. (Andrius Burokas)
  - Fix a bug with the clock spin button that made it skip certain values. (James Westby)

  Users
  =====
  - Move GECOS fields to a new "Contact information" tab, making the main tab simpler and allowing the dialog to fit on small screens like netbooks. (Milan Bouchet-Valat, Michael Terry)
  - Don't allow a new user or group to overwrite an existing group with all of its members (Milan Bouchet-Valat, James Westby)
  - Never reset the home dir of an existing user to its default. (Martin Pitt, James Westby)
  - Fix group creation, which did not work at all. (James Westby)
  - Fix wrong string (Loïc Minier, thanks to Kenrick Bingham and Goswin von Brederlow).

  Documentation
  =============
  - Add missing screenshot to Makefile.am. (Pedro Villavicencio)

  Translation
  ===========
  - et, courtesy of Ivar Smolin
  - fi, courtesy of Ilkka Tuohela
  - gu, courtesy of Sweta Kothari
  - he, courtesy of Yaron Shahrabani
  - pt_BR, courtesy of Leonardo Ferreira Fontenelle
  - sv, courtesy of Daniel Nylander
  - ta, courtesy of Dr.T.Vasudevan
  - uk, courtesy of wanderlust

  Notice to packagers
  ===================
  Many patches from Debian and Ubuntu have been upstream in this release. Here's the list of the patches to drop:
    10_add_missing_services.patch
    23_users_update_model.patch (obsolete since the 2.22 series, see bgo#489187)
    26_users_home_dir.patch
    50_min-max-gid.patch
    51_users_fit_575_height.patch
    85_users_fix_add_group.patch
    86_disable_existing_group_for_new_username.patch
    91_time_admin_adjustment.patch
    92_postgresql_versions.patch
    93_polkit_dbus_timeout.patch

  Thanks to anyone involved in this release, especially downstream for all the patches accumulated for so long!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.27/


GNOME System Tools Version 2.27.1, 2009-07-03
-----------------------------------------------

The GNOME System Tools version 2.27.1 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  General
  =======
  - Replace deprecated GTK symbols (Thomas H.P. Andersen)
  - Make PolicyKit support optional via a configure switch (Gilles Dartiguelongue)

  Shares
  ============
  - Fix a few non-translatable strings (Sebastien Bacher)

  Users
  ===========
  - Add an option to allow password-less logins (Milan Bouchet-Valat)

  Translation
  ===========
  - ar (Djihed Afifi, Osama Khalid)
  - as (Amitakhya Phukan)
  - el (Nikos Charonitakis, Michael Kotsarinis, Thanos Lefteris, Fotis Tsamis, Simos Xenitellis, Marios Zindilis)
  - en_GB (Jen Ockwell, Philip Withnall)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - fr (Claude Paroz)
  - he (Mark Krapivner)
  - gl (Suso Baleato)
  - or (Manoj Kumar Giri)
  - pt_BR (Krix Apolinário, Thadeu Lima de Souza Cascardo)
  - sk (Pavol Klačanský)
  - sv.po (Daniel Nylander)
  - zh_CN (TeliuTe, Zhang Miao)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.27/


GNOME System Tools Version 2.22.2, 2009-03-17
-----------------------------------------------

The GNOME System Tools version 2.22.2 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  General
  =======
  - Clean up GTK Includes (Maxim Ermilov)
  - Remove usage of deprecated API (Andre Klapper, Thomas H.P. Andersen)

  Translation
  ===========
  - ar (Anas Husseini)
  - as (Amitakhya Phukan)
  - ast (Astur)
  - bn_IN (Runa Bhattacharjee)
  - de (Mario Blättermann)
  - dz (Dawa pemo)
  - en_GB (Jen Ockwell)
  - es (Jorge González)
  - fi (Ilkka Tuohela)
  - gl (Suso Baleato)
  - he (Mark Krapivner)
  - hi (Rajesh Ranjan)
  - it (Francesco Marletta)
  - ko (Changwoo Ryu)
  - lv (Raivis Dejus)
  - or (Manoj Kumar Giri)
  - pl (Tomasz Dominikowski)
  - ps (Zabeeh Khan)
  - pt_BR (Leonardo Ferreira Fontenelle)
  - ro (Adi Roiban)
  - sk (Pavol Klačanský)
  - sv (Daniel Nylander)
  - te (Krishna Babu K)
  - th (Theppitak Karoonboonyanan)
  - zh_HK (Woodman Tuen)
  - zh_TW (Woodman Tuen)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.22/


GNOME System Tools Version 2.22.1, 2008-09-23
-----------------------------------------------

The GNOME System Tools version 2.22.1 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Mark interface as active if it wasn't previously configured, and as auto if
    it's been (or already was) activated (garnacho)

  Translation
  ===========
  - ar (Anas Husseini)
  - bg (Yavor Doganov)
  - da (Kenneth Nielsen)
  - de (Mario Blättermann)
  - el (Giannis Katsampriris)
  - es (Jorge Gonzalez)
  - et (Priit Laes)
  - fi (Ilkka Tuohela)
  - gu (Ankitkumar Patel)
  - he (Yair Hershkoviz)
  - hi (Rajesh Ranjan)
  - hr (Robert Sedak)
  - hu (Gabor Kelemen)
  - is (Anna Ármannsdóttir)
  - it (Gianvito Cavasoli)
  - kn (Shankar Prasad)
  - nb (Kjartan Maraas)
  - nn (Eskild Hustvedt)
  - oc (Yannig Marchegay)
  - pt_BR (Fabrício Godoy)
  - ro (Mişu Moldovan)
  - sr (Goran Rakić)
  - ta (I. Felix)
  - te (Krishna Babu K)
  - th (Theppitak Karoonboonyanan)
  - tr (Deniz Kocak)
  - vi (Clytie Siddall)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.22/


GNOME System Tools Version 2.22.0, 2008-02-11
-----------------------------------------------

The GNOME System Tools version 2.22.0 "I'm looking for a maintainer" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Users
  =====
  - Fix #518785 (garnacho)

  Common
  ======
  - Fix #518796 (garnacho)

  Shares
  ======
  - Fix spurious critical warning in the nautilus extension (garnacho)

  Network
  =======
  - Support having '/' in location names (garnacho)
  - Support better having a NULL OobsIfacePPP::ethernet when dealing with locations (garnacho)

  Translation
  ===========
  - ar (Anas Husseini)
  - cs (Kamil Paral, Lucas Lommer)
  - el (Kostas Papadimas)
  - en_GB (Philip Withnall)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - fr (Stéphane Raimbault)
  - hu (Gabor Kelemen)
  - ja (Takeshi AIHANA)
  - ko (Changwoo Ryu)
  - lt (Gintautas Miliauskas)
  - mr (Sandeep Shedmake)
  - nb (Kjartan Maraas)
  - ok (Yannig Marchegay)
  - ru (Yuri Kozlov)
  - uk (Maxim Dziumanenko)
  - zh_CN (Yang Zhang)
  - zh_HK (Chao-Hsiung Liao)
  - zh_TW (Chao-Hsiung Liao)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.22/


GNOME System Tools Version 2.21.92, 2008-02-11
-----------------------------------------------

The GNOME System Tools version 2.21.92 "Come true" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Time
  ====
  - Add tangoified time-admin icon (Jaap Haitsma)

  Common
  ======
  - Only show one "configuration changed" dialog if several signals are received (garnacho)
  - Do not reload configuration if there's a good chance the tool changed the configuration (garnacho)

  Shares
  ======
  - Do not behave strangely when clicked on a separator in the shares table header (garnacho)

  Translations
  ============
  - be@latin (Ihar Hrachyshka)
  - ca (Gil Forcada)
  - de (Philipp Kerling)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga Murgoitio)
  - fi (Ilkka Tuohela)
  - fr (Robert-André Mauchin, Claude Paroz)
  - gl (Ignacio Casal Quinteiro)
  - he (Yair Hershkoviz)
  - hu (Zoltán Máthé)
  - mk (Jovan Naumovski)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - pl (GNOME PL Team)
  - pt (Duarte Loreto)
  - pt_BR (Hugo Doria, Leonardo Ferreira Fontenelle)
  - sv (Daniel Nylander)
  - th (Theppitak Karoonboonyanan)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.91, 2008-02-11
-----------------------------------------------

The GNOME System Tools version 2.21.91 "Funnily ominous" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Make essid a mandatory field (garnacho)

  Translations
  ============
  - ar (Djihed Afifi)
  - et (Ivar Smolin)
  - gl (Ignacio Casal Quinteiro)
  - ja (Takeshi AIHANA)
  - mk (Arangel Angov)
  - oc (Yannig Marchegay)
  - pl (GNOME PL Team)
  - pt (Duarte Loreto)
  - th (Theppitak Karoonboonyanan)
  - zh_HK (Chao-Hsiung Liao)
  - zh_TW (Chao-Hsiung Liao)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.90, 2008-01-28
-----------------------------------------------

The GNOME System Tools version 2.21.90 "Just going up to go down" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Users
  =====
  - plug a leak (garnacho);

  Translations
  ============
  - el (Γιάννης Κατσαμπίρης)
  - eu (Inaki Larranaga Murgoitio)
  - he (Yair Hershkovitz)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.5.1, 2008-01-15
-----------------------------------------------

The GNOME System Tools version 2.21.5.1 "Not really an ESP" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - Do not depend on unreleased Glib (garnacho)

  Translations
  ============
  - sv (Daniel Nylander)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.5, 2008-01-14
-----------------------------------------------

The GNOME System Tools version 2.21.5 "Out of the cold" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - Switch CFLAGS order to be able to compile with other gst.h files around (Jeremy Messenger)

  Network
  =======
  - Use Gio to monitor changes in locations (garnacho)
  - Do not put a \n in a window title (Alex "weej" Jones)
  - Use non-obsolete icons (Jaap Haitsma)
  - Make locations code more extensible (garnacho)

  Shares
  ======
  - Fix nautilus extension, update emblem after any change to folders (garnacho)
  - Locate correctly the nautilus extensions dir (Damien Carbery)
  - Label the OK button "Share", more according to HIG (Andreas Nilsson)
  - Fix share dialog width (garnacho)
  - Use HIG capitalization for window title (garnacho)

  Time
  ====
  - Put the "synchronize now" button besides the time spin buttons (garnacho)
  - Fix potential crash if it couldn't get dbus connection to inhibit the screensaver (garnacho)

  Services
  ========
  - Use HIG capitalization for window title (garnacho)
  - Use non-obsolete icons (Jaap Haitsma)

  Users
  =====
  - Use HIG capitalization for window title (garnacho)
  - Fixed potential crash when adding a new user (garnacho)
  - Do not mislead people putting something in the password entries when editing an user (garnacho)
  - Check whether the home directory doesn't exist before adding a new user (garnacho)

  Translations
  ============
  - be@latin (Ihar Hrachyshka)
  - et (Ivar Smolin)
  - es (Jorge Gonzalez)
  - eu (Inaki Larranaga Murgoitio)
  - ga (Seán de Búrca)
  - it (Luca Ferretti)
  - ko (Changwoo Ryu)
  - mr (Sandeep Shedmake)
  - nb (Kjartan Maraas)
  - oc (Yannig Marchegay)
  - pt_BR (Hugo Doria, Leonardo Ferreira Fontenelle)
  - sv (Daniel Nylander)
  - vi (Clytie Siddall)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.3, 2007-12-18
-----------------------------------------------

The GNOME System Tools version 2.21.3 "Speak" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Support PPPoE/GPRS/UMTS interfaces. (garnacho)

  Shares
  ======
  - Handle SMB passwords (garnacho)

  Common
  ======
  - Improvements to UI locking (garnacho)
  - Ask whether to update config if the user is editing configuration and the backends detect some change (garnacho)

  Translations
  ============
  - be@latin (Ihar Hrachyshka)
  - es (Jorge Gonzalez)
  - nb (Kjartan Maraas)
  - ru (Vasiliy Faronov)
  - sv (Daniel Nylander)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.2.1, 2007-11-14
-----------------------------------------------

The GNOME System Tools version 2.21.2.1 "«yay»" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Users
  =====
  - Actually compile if PolicyKit is not present

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.2, 2007-11-13
---------------------------------------------

The GNOME System Tools version 2.21.2 "Forever taken" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Users
  =====
  - Use OobsSelfConfig to be able to edit that loads the UI (garnacho)
  - Make groups in profiles work for groups that don't appear in the privileges table (garnacho)
  - Do not allow changing user/group name. (garnacho)

  Translations
  ============
  - es (Jorge Gonzalez)
  - sl (Matej Urbančič)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.21.1, 2007-10-29
---------------------------------------------

The GNOME System Tools version 2.21.1 "A lapse of perception" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - use GtkBuilder (garnacho)
  - optionally use PolicyKit, showing a locked down UI if it doesn't have permissions. (garnacho, Denis Washington)
  - use latest liboobs features (garnacho)

  Services
  ========
  - make it show the courier service (Ermanno Scaglione)
  - mark DBus as a critical service (garnacho)

  Network
  =======
  - fix network-admin not showing in the correct control center section

  Shares
  ======
  - fix shares-admin not showing in the correct control-center section

  Translations
  ============
  - ar (Anas Husseini, Djihed Afifi)
  - be@latin (Ihar Hrachyshka)
  - bg (Alexander Shopov)
  - da (Kenneth Nielsen)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - fr (Jonathan Ernst, Stéphane Raimbault)
  - hu (Gabor Kelemen)
  - lt (Gintautas Miliauskas)
  - mk (Jovan Naumovski)
  - nb (Kjartan Maraas)
  - sr, sr@Latn (Danilo Šegan)
  - sv (Daniel Nylander)
  - uk (Maxim Dziumanenko)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.21/


GNOME System Tools Version 2.19.92, 2007-09-03
---------------------------------------------

The GNOME System Tools version 2.19.92 "Running uphill" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Translations
  ============
  - et (Ivar Smolin)
  - mk (Jovan Naumovski)
  - pt (Duarte Loreto)
  - vi (Clytie Siddall)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.19/


GNOME System Tools Version 2.19.91, 2007-08-28
---------------------------------------------

The GNOME System Tools version 2.19.91 "Not Much to conceal" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Translations
  ============
  - be@latin (Ihar Hrachyshka)
  - ca (Josep Puigdemont i Casamajó)
  - de (Hendrik Richter)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga Murgoitio)
  - fi (Ilkka Tuohela)
  - gu (Ankit Patel)
  - ja (Takeshi AIHANA)
  - ko (Young-Ho Cha)
  - nb (Kjartan Maraas)
  - pl (GNOME PL Team)
  - pt_BR (Og Maciel)
  - sv (Daniel Nylander)
  - ta (Tirumurthi Vasudevan)
  - th (Theppitak Karoonboonyanan)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.19/


GNOME System Tools Version 2.19.1, 2007-07-28
---------------------------------------------

The GNOME System Tools version 2.19.1 "Beyond all help" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - remove hardcoded password char from glade interfaces (Loïc Minier)

  Network
  =======
  - String improvements and spacing more similar to g-c-c capplets (Denis Washington)

  Translations
  ============
  - de (Hendrik Richter)
  - es (Jorge Gonzalez)
  - fi (Ilkka Tuohela)
  - ja (Takeshi AIHANA)
  - sv (Daniel Nylander)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.19/


GNOME System Tools Version 2.19.0, 2007-04-09
---------------------------------------------

The GNOME System Tools version 2.19.0 "Someone has to be the fall man" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - fix gtk-update-icon-cache for uninstall-hook (David Farning)

  Network
  =======
  - Fix implicit conversion to pointer (Dann Frazier, Sven Arvidsson)
  - Add WPA/WPA2 PSK descriptions (garnacho)

  Services
  ========
  - Fix implicit conversion to pointer (Dann Frazier, Sven Arvidsson)
  - Fix some compiler warnings (garnacho)

  Users
  =====
  - Fix a compiler warning (garnacho)

  Translations
  ============
  - be@latin (Ihar Hrachyshka)
  - ca (Josep Puigdemont i Casamajó)
  - dz (Pema Geyleg)
  - en_GB (David Lodge)
  - es (Jorge Gonzalez)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga Murgoitio)
  - it (Francesco Marletta)
  - nb (Kjartan Maraas)
  - pt_BR (Washington Lins, Guilherme de S. Pastore)
  - si (Danishka Navin)
  - th (Theppitak Karoonboonyanan)
  - vi (Clytie Siddall, Nguyễn Thái Ngọc Duy)
  - zh_CN (Yang Zhang)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.19/


GNOME System Tools Version 2.18.1, 2007-04-09
---------------------------------------------

The GNOME System Tools version 2.18.1 "Across nowhere" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - Remove nonexistent .desktop files categories (Christian Kirbach) [#417655]

  Network
  =======
  - Do a sanity check when migrating old locations (garnacho) [#422969]

  Time
  ====
  - Mark previously not translated string as translatable (Claude Paroz) [#416436]
  - Build fixes (Claudio Saavedra)
  - Fix possible crash when selecting timezone (garnacho) [#417386]
  - allow building out of tree (Loïc Minier) [#414138]

  Users
  =====
  - show users with no full name when editing a group users (garnacho) [#425020]

  Translations
  ============
  - ar (Djihed Afifi)
  - bg (Alexander Shopov)
  - ca (Josep Puigdemont i Casamajó)
  - da (Peter Bach)
  - dz (Pema Geyleg)
  - el (Athanasios Lefteris)
  - es (Rodrigo M. Fombellida)
  - et (Ivar Smolin)
  - fr (Claude Paroz)
  - gl (Ignacio Casal Quinteiro)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - ja (Takeshi AIHANA)
  - lv (Raivis Dejus)
  - mk (Jovan Naumovski)
  - pt (Duarte Loreto)
  - pt_BR (Washington Ferreira Lins Neto)
  - sv (Daniel Nylander)
  - th (Theppitak Karoonboonyanan)
  - tr (Baris Cicek)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.18/


GNOME System Tools Version 2.18.0, 2007-03-12
---------------------------------------------

The GNOME System Tools version 2.18.0 "I have been where I have been" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Services
  ========
  - Show correctly all postgresql* services (garnacho)

  Translations
  ============
  - de (Thomas Gier)
  - gu (Ankit Patel)
  - ja (Takeshi AIHANA)
  - ku (Erdal Ronahi)
  - lt (Gintautas Miliauskas)
  - mk (Jovan Naumovski)
  - nb (Kjartan Maraas)
  - pl (GNOME PL team)
  - ru (Nickolay V. Shmyrev)
  - uk (Maxim Dziumanenko)
  - zh_HK (Chao-Hsiung Liao)
  - zh_TW (Chao-Hsiung Liao)
  
  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.18/


GNOME System Tools Version 2.17.92, 2007-02-12
---------------------------------------------

The GNOME System Tools version 2.17.92 "Puking chickens" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Shares
  ======
  - Add --disable-nautilus configure option to disable shares nautilus extension (Jani Monoses)

  Common
  ======
  - Remove gnome-doc-utils.make, it's generated (Mariano Suarez-Alvarez)
  - Also spawn help if compiled with --disable-gnome (Jani Monoses)
  - Avoid early dialog closing/destruction (garnacho)

  Translations
  ============
  - ar (Djihed Afifi)
  - fi (Ilkka Tuohela)
  - nb (Kjartan Maraas)
  - pl (GNOME PL Team)
  - pt (Duarte Loreto)
  - pt_BR (Raphael Higino)
  - vi (Nguyễn Thái Ngọc Duy)
  - zh_CN (Funda Wang)
  
  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.91, 2007-02-12
---------------------------------------------

The GNOME System Tools version 2.17.91 "Into an ocean" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Avoid a critical warning
  - Fix invalid memory free() which was causing lots of grief
  - call g_thread_init() to avoid GSlice warning
  - Improve migration of older parameters in location files to newer format

  Shares
  ======
  - Check whether there's connection to the bus before requesting data in the nautilus extension
  - call g_thread_init() to avoid GSlice warning

  Users
  =====
  - Mark a few dialogs as transient for another ones

  Translations
  ============
  - ar (Ahmad Farghal, Khaled Hosny)
  - bg (Alexander Shopov)
  - ca (Josep Puigdemont i Casamajó)
  - en_GB (David Lodge)
  - et (Ivar Smolin)
  - fr (Claude Paroz, Jonathan Ernst)
  - hu (Gabor Kelemen)
  - ko (Young-Ho Cha)
  - sv (Daniel Nylander)
  - th (Theppitak Karoonboonyanan)

  Thanks to anyone involved in this release.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.90, 2007-01-22
---------------------------------------------

The GNOME System Tools version 2.17.90 "Never seems to last" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Services
  ========
  - add "ntp" as a recognized NTP server (garnacho)

  Network
  =======
  - Make network-admin appear in the "Internet & Networking" control center category (Denis Washington)
  - Do not return trash when the wireless interface doesn't support scanning (garnacho)

  Shares
  ======
  - Make shares-admin appear in the "Internet & Networking" control center category (Denis Washington)

  Thanks to Denis Washington!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.5, 2007-01-09
---------------------------------------------

The GNOME System Tools version 2.17.5 "Hydra" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Update minimum liboobs to 2.17.5 (garnacho)
  - add support for extensible list of configuration methods and key types (garnacho)

  Thanks to anyone involved in this release

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.4, 2007-01-08
---------------------------------------------

The GNOME System Tools version 2.17.4 "Siren" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Added NM integration bits (garnacho)
  - work nicely with older libiw (garnacho)

  Time
  ====
  - Redesign GUI (garnacho)

  Translations
  ============
  - en_GB (David Lodge)
  - es (Francisco Javier F. Serrador)

  Thanks to anyone involved in this release

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.3, 2006-11-05
---------------------------------------------

The GNOME System Tools version 2.17.3 "not enough words" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - Fix a bunch of compiler warnings everywhere (Kjartan Maraas)
  - build with latest gnome-doc-utils (garnacho)
  - UI improvements to the "unsupported distribution" dialog (garnacho)
  - install icons in hicolor (garnacho)

  Network
  =======
  - add back wireless detection (included signal strength), use libiw for this (garnacho)
  - use theme icons where available (garnacho)
  - fix bug when closing the interfaces configuration dialog (garnacho)

  Services
  ========
  - recognize properly apache2/ssh/sshd/ntpd (garnacho)

  Time
  ====
  - apply configuration before closing the tool if there are changes pending (garnacho)

  Users
  =====
  - do not fail setting a random password (Seb128)
  - show help and do not close the groups dialog when clicking on 'Help' (garnacho)

  Translation
  ===========
  - fi (Ilkka Tuohela)
  
  Thanks to anyone involved in this release

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.17.2, 2006-11-05
---------------------------------------------

The GNOME System Tools version 2.17.2 "\0" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - plug heaps of leaks (garnacho)
  - removed unused code and other code improvements (garnacho)

  Network
  =======
  - fix crasher #370686 (garnacho)

  Time
  ====
  - Parse correctly timezones in SunOS (Darren Kenny, Erast Benson)
  - Fix crash when dealing with NTP servers, #355849 (garnacho)
  - Fix invalid memory reads (garnacho, seb128)

  Translations
  ============
  - et (Ivar Smolin)
  - fi (Ilkka Tuohela)
  - ru (Nickolay V. Shmyrev)

  Thanks to anyone involved in this release


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.17/


GNOME System Tools Version 2.15.5, 2006-09-30
---------------------------------------------

The GNOME System Tools version 2.15.5 "Zárágózá" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - add a --disable-gnome option to disable GNOME dependencies (nautilus, libgnome) (Jani Monoses)
  - Show an "Access denied" dialog if g-s-t can't access s-t-b (garnacho)

  Shares
  ======
  - remove unneeded GNOME-VFS dependency (Jani Monoses)
  - fix a crasher (garnacho)

  Time
  ====
  - optimize the map dot blink timeout to be only executed when the map is shown (garnacho)
  - Fix a crasher when there is no timezone (garnacho)

  Translations
  ============
  - fi (Tommi Vainikainen, Ilkka Tuohela)

  Thanks to anyone involved in this release


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.15.4, 2006-09-07
---------------------------------------------

The GNOME System Tools version 2.15.4 "Around my head" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Network
  =======
  - Set the last selected profile as the default name in the "save location" dialog. Other wording and GUI improvements (garnacho)
  - Show the interface name in the UI if there's more than one interface of the same type. (garnacho)

  Services
  ========
  - Added some more icons to the services descriptions list (garnacho)


  Thanks to anyone involved in this release


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.15.3, 2006-09-04
---------------------------------------------

The GNOME System Tools version 2.15.3 "Walk astray" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - Code cleanups and improvements (garnacho)
  - Fix configuration reloading when the user has to select a platform (garnacho)

  Users
  =====
  - Add back user profiles (garnacho)

  Time
  ====
  - Add "synchronize now" button (garnacho)
  - Fix crasher when time-admin can't communicate with gnome-screensaver (garnacho)

  Network
  =======
  - Fix several potential crashers (garnacho)
  - Fix --configure and --configure-type parameters (garnacho)

  Shares
  ======
  - Do not crash in --add-share (garnacho)

  Services
  ========
  - Add heaps of services descriptions (garnacho)

  Translations
  ============
  - bn_IN (Runa Bhattacharjee)
  - fr (Claude Paroz)
  - hu (Gabor Kelemen)
  - ja (Satoru SATOH)
  - ko (Changwoo Ryu)
  - lt (Žygimantas Beručka)
  - mg (Thierry Randrianiriana)
  - mk (Jovan Naumovski)
  - ru (Nickolay V. Shmyrev)
  - sv (Daniel Nylander)
  - th (Theppitak Karoonboonyanan)
  - tr (Baris Cicek)
  - vi (Clytie Siddall)
  - zh_HK (Chao-Hsiung Liao)
  - zh_TW (Chao-Hsiung Liao)

  Thanks to anyone involved in this release


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.15.2, 2006-08-11
---------------------------------------------

The GNOME System Tools version 2.15.2 "2.F.2" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  General
  =======
  - updated user docs (garnacho)
  - doc fixes (Claude Paroz)

  Network
  =======
  - Avoid a crash (garnacho)

  Time
  ====
  - Avoid a critical warning if no NTP service is available (garnacho)
  - Inhibit/UnInhibit gnome-screensaver when changing time (garnacho)

  Translations
  ============
  - dz (Dzongkhalinux team)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga)
  - fi (Ilkka Tuohela)
  - gu (Ankit Patel)
  - ml (Ani Peter)
  - mk (Jovan Naumovski)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)


  Thanks to anyone involved in this release


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.15.1, 2006-08-02
---------------------------------------------

The GNOME System Tools version 2.15.1 "Tururu" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Shares
  ======
  - Show emblem on shared folders (garnacho)

  Network
  =======
  - Reimplement network locations (garnacho)

  Common
  ======
  - Code cleanups (garnacho)
  - Remove unused glade dialogs (garnacho)

  Translations
  ============
  - be (Ales Nyakhaychyk)
  - bn_IN (Runa Bhattacharjee)
  - ca (Josep Puigdemont i Casamajó)
  - cy (Rhys Jones)
  - de (Hendrik Richter, Jochen Skulj)
  - dz (Dzongkhalinux, DIT)
  - el (Kostas Papadimas)
  - et (Priit Laes)
  - eu (Iñaki Larrañaga)
  - fi (Ilkka Tuohela)
  - fr (Benoît Dejean, Robert-André Mauchin)
  - he (Yair Hershkovitz)
  - hi (Rajesh Ranjan)
  - id (Ahmad Riza H Nst)
  - ko (Changwoo Ryu)
  - lv (Raivis Dejus)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - mg (Thierry Randrianiriana)
  - mk (Jovan Naumovski)
  - or (Subhransu Behera)
  - sv (Daniel Nylander)
  - ta (I. Felix)
  - th (Theppitak Karoonboonyanan)
  - zh_CN (Funda Wang)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.15.0, 2006-03-13
---------------------------------------------

The GNOME System Tools version 2.15.0 "Uncanny routine" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the Liboobs library.

Changes since last release
==========================

  Common
  ======
  - use intltool 0.35, move ALL_LINGUAS to po/LINGUAS (Przemysław Grzegorczyk)
  - Make g-s-t work fine with --as-needed (Mike Auty)

  All tools
  =========
  - Use liboobs. The XML interface is deprecated (Garnacho)
  - Adopt a more instant apply policy (Garnacho)
  - UI Changes (Garnacho)
  - Use named icons in menus and window icon for themeability (Sebastien Bacher, Garnacho)
  - Set translation domain for popups (Sebastien Bacher)

  Users
  =====
  - Use adduser/addgroup if it's present (Garnacho)

  Network
  =======
  - Use DHCP as the default (Garnacho)

  Services
  ========
  - Add advanced runlevels/priorities editor (Garnacho)

  Shares
  ======
  - Rework defaults for new shared folders (Garnacho)

  Time
  ====
  - Update some NTP servers (Gary Coady, Jun Kobayashi)

  Translations
  ============
  - dz (Pema Geyleg)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - fi (Ilkka Tuohela)
  - gl (Ignacio Casal Quinteiro)
  - gu (Ankit Patel)
  - it (Francesco Marletta)
  - ka (Vladimer Sichinava)
  - nb (Kjartan Maraas)
  - ru (Nickolay V. Shmyrev)
  - th (Theppitak Karoonboonyanan)
  - tr (Deniz Kocak)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.15/


GNOME System Tools Version 2.14.0, 2006-03-13
---------------------------------------------

The GNOME System Tools version 2.14.0 "Advent" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Translations
  ============
  - bg (Vladimir Petkov)
  - bn (Runa Bhattacharjee)
  - ca (Josep Puigdemont i Casamajó)
  - cs (Miloslav Trmac, Petr Tome¿)
  - cy (Rhys Jones)
  - da (Ole Laursen)
  - de (Hendrik Richter)
  - el (Kostas Papadimas)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga)
  - fi (Ilkka Tuohela)
  - fr (Benoît Dejean)
  - gl (Ignacio Casal Quinteiro)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - ja (Satoru SATOH)
  - lt (¿ygimantas Beru¿ka)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - no (Kjartan Maraas)
  - pt (Duarte Loreto)
  - pt_BR (Guilherme de S. Pastore)
  - ro (Mugurel Tudor)
  - ru (Leonid Kanter)
  - sq (Laurent Dhima)
  - sv (Daniel Nylander)
  - uk (Maxim Dziumanenko)
  - vi (Clytie Siddall)
  - zh_CN (Funda Wang)
  - zh_HK (Chao-Hsiung Liao)
  - zh_TW (Chao-Hsiung Liao)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.14/


GNOME System Tools Version 2.13.2, 2006-01-31
---------------------------------------------

The GNOME System Tools version 2.13.2 "Wrong way" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Common
  ======
  - Add GTK and GNOME to .desktop Categories, make them validate against desktop-file-validate (Stephane Loeuillet)
  - Some string improvements (Benoît Dejean, garnacho)

  Translations
  ============
  - ca (Josep Puigdemont i CasamajÃ³)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - fi (Ilkka Tuohela)
  - fr (BenoÃ®t Dejean)
  - gl (Ignacio Casal Quinteiro)
  - gu (Ankit Patel)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - no (Kjartan Maraas)
  - pt_BR (Evandro Fernandes Giovanini)
  - sr, sr@Latn (Slobodan D. Sredojevic)
  - th (Theppitak Karoonboonyanan)
  - vi (Clytie Siddall)
  - zn_CH (Funda Wang)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.13/


GNOME System Tools Version 2.13.1, 2006-01-16
---------------------------------------------

The GNOME System Tools version 2.13.1 "Circles" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Common
  ======
  - Fix usage of gnome-doc-utils (Brent Smith)

  Users
  =====
  - Improve user privileges UI (Guillaume Desmottes)
  - Use ngettext for a couple of strings (Slobodan D. Sredojevic, garnacho)

  Translations
  ============
  - bg (Alexander Shopov)
  - ca (Josep Puigdemont i CasamajÃ³)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - fi (Ilkka Tuohela)
  - gl (Ignacio Casal Quinteiro)
  - gu (Ankit Patel)
  - ja (Takeshi AIHANA)
  - nb, no (Kjartan Maraas)
  - sr, sr@Latn (Slobodan D. Sredojevic)
  - th (Theppitak Karoonboonyanan)
  - vi (Clytie Siddall)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.13/


GNOME System Tools Version 2.13.0, 2006-01-02
---------------------------------------------

The GNOME System Tools version 2.13.0 "Sick" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Common
  ======
  - Use gnome-doc-utils (garnacho)

  Disks
  =====
  - Use yes-no stock icons instead of checkboxes for cd-rom capabilities (Felix Riemann)

  Services
  ========
  - Strings improvements (Adam Weinberger)

  Time
  ====
  - Strings improvements (Adam Weinberger)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/2.13/


GNOME System Tools Version 1.4.1, 2005-11-28
--------------------------------------------

The GNOME System Tools version 1.4.1 "Shipwrecked Frontier Pioneer" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Common
  ======
  - Build fixes (Dann Frazier, garnacho)

  Network
  =======
  - Fixed crash reported in bug #317650 (garnacho)

  Translations
  ============
  - bg (Yavor Doganov, Vladimir Petkov)
  - cs (Stanislav Brabec)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - eu (Inaki Larranaga)
  - fa (Meelad Zakaria, Elnaz Sarbar)
  - fi (Ilkka Tuohela)
  - fr (Christophe Merlet)
  - gl (Ignacio Casal Quinteiro)
  - it (Francesco Marletta)
  - ku (Erdal Ronahi)
  - pt_BR (Guilherme de S. Pastore)
  - sk (Ivan Noris)
  - sv (Christian Rose)
  - th (Theppitak Karoonboonyanan)
  - vi (Clytie Siddall)
  - zh_CN (Funda Wang)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.4/


GNOME System Tools Version 1.4.0, 2005-09-04
--------------------------------------------

The GNOME System Tools version 1.4.0 "Running in circles" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Translations
  ============
  - bg (Vladimir Petkov)
  - cs (Miloslav Trmac)
  - fr (Jean-Michel Ardantz)
  - gu (Ankit Patel)
  - he (Yair Hershkovitz)
  - lt (Åœygimantas BeruÄka)
  - pt (Duarte Loreto)
  - ro (Misu Moldovan)
  - ru (Nickolay V. Shmyrev)
  - sr, sr@Latn (Danilo Å egan)
  - tr (Deniz Kocak)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.4/


GNOME System Tools Version 1.3.92, 2005-08-08
--------------------------------------------

The GNOME System Tools version 1.3.92 "Never enough" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - comunication fixes with the backends in 64bit platforms (Olaf Heiring)

  Translations
  ============
  - bg (Rostislav Raykov)
  - ca (Josep Puigdemont i CasamajÃ³)
  - de (Hendrik Brandt)
  - el (Kostas Papadimas)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - fi (Ilkka Tuohela)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - id (Mohammad DAMT)
  - ja (Takeshi AIHANA)
  - ko (Young-Ho Cha)
  - nb (Kjartan Maraas, Terance Sola)
  - nl (Tino Meinen)
  - no (Kjartan Maraas, Terance Sola)
  - pl (GNOME PL team)
  - pt_BR (Raphael Higino)
  - sq (Laurent Dhima)
  - th (Theppitak Karoonboonyanan)
  - uk (Maxim Dziumanenko)
  - vi (Clytie Siddall)
  - zh_CN (Funda Wang)
  - zh_TW (Chao-Hsiung Liao)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.3/

GNOME System Tools Version 1.3.2, 2005-08-08
--------------------------------------------

The GNOME System Tools version 1.3.2 "Panic attack" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Headers and code cleanup (Kristof Vansant)
  
  Services
  ========
  - Small strings change (Garnacho)
  - Added more services descriptions (Garnacho)

  Translations
  ============
  - ca (Josep Puigdemont)
  - da (Martin Willemoes Hansen)
  - et (Priit Laes)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - ja (Takeshi AIHANA)
  - nb (Terance Sola, Kjartan Maraas)
  - ml (Tino Meinen, Vincent van Adrighem)
  - no (Terance Sola, Kjartan Maraas)
  - pt_BR (Raphael Higino)
  - sr, sr@Latn (Danilo Å egan)
  - zh_CN (Funda Wang)
  - zh_TW (Chao-Hsiung Liao)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.3/

GNOME System Tools Version 1.3.1, 2005-07-25
--------------------------------------------

The GNOME System Tools version 1.3.1 "Waiting" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  Network
  =======
  - small UI fixes (garnacho)
  - Add ordering to interfaces, so most used or most important are shown first (garnacho)
  - Improve DNS and search domains input cancelation (garnacho)

  Time
  ====
  - Fix compilation issues with gcc 4.0 (Jaap A. Haitsma)
  - Really close the time zone and time servers dialogs when pressing on the X (garnacho)

  Users
  =====
  - String improvements (Adam Weinberger)
  - Really close the profiles dialog when pressing the X (garnacho)

  Translations
  ============
  - cs (Miloslav Trmac)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - gl (Ignacio Casal Quinteiro)
  - ja (Takeshi AIHANA)
  - th (Theppitak Karoonboonyanan)


Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.3/

GNOME System Tools Version 1.3.0.1, 2005-07-05
--------------------------------------------

The GNOME System Tools version 1.3.0.1 "Not this often!" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Depend on system-tools-backends >= 1.3.0, necessary for services-admin
  
Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.3/

GNOME System Tools Version 1.3.0, 2005-07-05
--------------------------------------------

The GNOME System Tools version 1.3.0 "Should release more often" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Fixed some typos (me, Kjartan Maraas)
  - Center password dialog on main dialog (me)

  Services
  ========
  - Brand new UI, with lots of goodies (me)

  Network
  =======
  - Fix behavior of ESC key in combination of cellrenderer editing + dialog cancelling (me)
  - Improved IP filtering (me)
  - Added option for using the peer DNS in dialup connection (Michael Vogt)
  - Removed duplicated accelerators (me)
  - Added option for WEP key type (me)
  - Allow IPv6 DNS (me)
  - Compile fixes (Stanislav Brabec, Jens Granseuer)
  - Improved some strings (me, Kjartan Maraas)

  Time
  ====
  - Improved focus chain (me)
  - Improved some strings and typos (me, Kjartan Maraas)

  Boot
  ====
  - Improved some strings and typos (me, Kjartan Maraas)
  - Compile fixes (Stanislav Brabec)

  Disks
  =====
  - Improved some strings (me)

  Shares
  ======
  - Improved some strings (me)
  - Really check that all necessary fields are filled before adding a share (me)

  Users
  =====
  - Plugged some leaks (Jaap A. Haitsma)
  - Remove unnecessary commas when showing users' data (Jaap A. Haitsma)
  - Improved some strings and typos (me, Kjartan Maraas)

  Translations
  ============
  - bg (Vladimir Petkov)
  - cs (Miloslav Trmac)
  - da (Martin Willemoes Hansen)
  - de (Hendrik Brandt)
  - el (Nikos Charonitakis, Kostas Papadimas)
  - en_CA (Adam Weinberger)
  - en_GB (Gareth Owen)
  - es (Francisco Javier F. Serrador)
  - et (Ivar Smolin)
  - fi (Ilkka Tuohela)
  - nb (Terance Sola, Kjartan Maraas)
  - ne (Pawan Chitrakar)
  - no (Terance Sola, Kjartan Maraas)
  - rw (Steve Murphy)
  - sk (Ivan Noris)
  - sq (Laurent Dhima)
  - th (Theppitak Karoonboonyanan)
  - tr (Deniz Kocak)
  - zh_CN (Funda Wang)
  - zh_TW (Abel Cheung)
  - xh (Adi Attar)
  
Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.3/

GNOME System Tools Version 1.2.0, 2005-03-07
--------------------------------------------

The GNOME System Tools version 1.2.0 "I only can see Mahou everywhere!" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Fixed possible crasher when closing the main dialog with the top-left X (Garnacho)

  Network
  =======
  - Handled correctly "auto" values (Garnacho)

  Translations
  ============
  - da (Martin Willemoes Hansen)
  - hi (Rajesh Ranjan)
  - ja (Takeshi AIHANA)
  - pl (GNOME PL Team)
  - ro (MiÂ¿u Moldovan)
  - sr, sr@Latn (Danilo Â¿egan)
  
Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.2/

GNOME System Tools Version 1.1.92, 2005-03-01
---------------------------------------------

The GNOME System Tools version 1.1.92 "Squid attack!" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Fixed small build problems (Garnacho)

  Network
  =======
  - Minor UI fixes (Garnacho)
  - Minor modem devices handling fixes (Garnacho)
  - Translation fixes (Garnacho)
  - Leaks fixed (Garnacho)
  - Handle gateway changing on the fly (Garnacho)

  Users
  =====
  - Handled more elegantly the "other" field in the GECOS fields (Garnacho)

  Translations
  ============
  - bg (Vladimir Petkov)
  - ca (Josep Puigdemont i CasamajÃ³)
  - da (Martin Willemoes Hansen)
  - en_GB (David Lodge)
  - el (Kostas Papadimas)
  - fi (Ilkka Tuohela)
  - fr (Jean-Michel Ardantz)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - it (Francesco Marletta)
  - ko (Changwoo Ryu)
  - lt (Åygimantas BeruÂ­ka)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - no (Kjartan Maraas)
  - pt_BR (Raphael Higino)
  - th (Theppitak Karoonboonyanan)
  - sq (Laurent Dhima)
  - uk (Maxim Dziumanenko)
  
Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/

GNOME System Tools Version 1.1.91, 2005-02-08
---------------------------------------------

The GNOME System Tools version 1.1.91 "A smart kid" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Split the backends/frontends in two separated packages (Jeff Waugh, garnacho)
  - Exit cleanly if the tool can't fork to the backend (garnacho)

  Network
  =======
  - Do not crash with wrong hosts file syntax (garnacho)
  - Added some extra checks to avoid that wrong file syntax to happen (garnacho)
  - Minor UI fixes (garnacho)

  Users
  =====
  - Detect from the backend when the system is using MD5 passwords (garnacho)

  Translations
  ============
  - cs (Miloslav Trmac)
  - de (Hendrik Brandt)
  - el (Kostas Papadimas)
  - en_CA (Adam Weinberger)
  - et (Ivar Smolin)
  - es (Francisco Javier F. Serrador)
  - ja (Takeshi AIHANA)
  - lt (ÃÅygimantas BeruÃÂka)
  - pt (Duarte Loreto)
  - pt_BR (Raphael Higino)
  - sv (Christian Rose)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/

GNOME System Tools Version 1.1.90, 2005-01-25
---------------------------------------------

The GNOME System Tools version 1.1.90 "Un tequilita doble" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  General
  =======
  - Removed tool descriptions in main windows (Garnacho)
  - Use the new GtkMessageDialog API (Garnacho)
  - Make the main windows behave like the other dialogs with cancel/OK (Garnacho)

  Boot
  ====
  - Use GtkFileChooserButton (Garnacho)

  Network
  =======
  - Fixed bootproto stanzas in debian (Garnacho)
  - Made it stop blocking with buggy wvdialconf (Garnacho)
  - Use a more generic regexp for getting phone numbers (Garnacho)
  - Made it explicitly drop the dhcp connection when doing ifconfig down (Garnacho)
  - Fixed list_ifaces directive (Garnacho)
  - Made it to really delete profiles (Garnacho)
  - Made it to really save essid and WEP keys in profiles (Garnacho)

  Disks
  =====
  - Fixed an important bug in the scsi bus scanning (Carlos Garcia Campos)
  - UI Fixes (Carlos Garcia Campos)

  Shares
  ======
  - Added extra checks to know whether SMB/NFS servers are active (Garnacho)
  - Improved shared paths saving (Garnacho)
  - Fixed active interfaces network/netmask detection for the NFS acl dialog (Garnacho)
  - Use the Nautilus plugins API for the context menu in folders (Garnacho)

  Time
  ====
  - Use opennttpd in gentoo (Garnacho)
  - Use ntp-server instead of ntp-simple or ntp-refclock in Debian (Vincent Untz)

  Translations
  ============
  - bg (Vladimir Petkov, Iassen Pramatarov)
  - cs (Miloslav Trmac)
  - de (Frank Arnold)
  - en_CA (Adam Weinberger)
  - es (Francisco Javier F. Serrador)
  - et (Priit Laes)
  - ko (Young-Ho Cha)
  - nb (Kjartan Maraas)
  - no (Kjartan Maraas)
  - zh_CN (Funda Wang)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/

GNOME System Tools Version 1.1.4.1, 2005-01-13
------------------------------------------

The GNOME System Tools version 1.1.4.1 "Dancing in the moon" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Users
  =====
  - Fixed groups in profiles stuff (Garnacho)
  - Small UI fixes (Garnacho)

  Shares
  ======
  - Use GtkFileChooserButton (Garnacho)

  General
  =======
  - Fixed supported/unsupported tools compilation, now it should compile network, users, time and shares by default (Garnacho)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/

GNOME System Tools Version 1.1.4, 2005-01-12
------------------------------------------

The GNOME System Tools version 1.1.4 "Gather ye rosebuds while ye may" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Users
  =====
  - Added default groups in profiles (Sivan Greenberg, garnacho)
  - Fixed a couple of typos (garnacho)

  Network
  =======
  - Added support for isdn interfaces (garnacho)

  Shares
  ======
  - Readded general Samba Settings (garnacho)

  General
  =======
  - Added m4 file for using the backends from other modules (garnacho)
  - Made password dialog more HIG (garnacho)

  Translations
  ============
  - de (Hendrik Brandt)
  - bg (Vladimir Petkov)
  - es (Francisco Javier F. Serrador)
  - cs (Miloslav Trmac)
  - en_CA (Adam Weinberger)
  - el (Kostas Papadimas)
  - lt (Åygimantas BeruÂ­ka)
  - ja (Takeshi AIHANA)
  - sq (Laurent Dhima, Elian Myftiu)
  - nl (Ronald van Engelen)
  - sv (Christian Rose)
  - sk (Marcel Telka)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/

GNOME System Tools Version 1.1.3, 2004-12-21
------------------------------------------

The GNOME System Tools version 1.1.3 "Dedicated to Dimebag Darrell" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

WARNING: Being a testing release, by default all the tool will be compiled

Changes since last release
==========================

  General
  =======
  - Async communication with backend, allowing frontends to show a dialog if a directive takes too long (garnacho)
  - Added entry filters for IP addresses (both version 4 and 6) (garnacho)
  - Used GOption instead of popt (garnacho)

  Network
  =======
  - Fully rewritten tool, it now allows a more instant-apply model, setting the configuration on the fly, even when it haven't touched configuration files still, it will also allow non-root apps (such as a location applet) to know which profiles/locations are available. The new UI won't allow to create interfaces that don't exist. Fixes a bunch of bugs (garnacho)

  Shares
  ======
  - Use IP filters (garnacho)

  Users
  =====
  - Preserve user in groups that don't have a description (garnacho)

  Translations
  ============
  - ca (Josep Puigdemont i CasamajÃÂ³)
  - de (Hendrik Brandt)
  - eu (IÃ±aki LarraÃ±aga)
  - fi (Pauli Virtanen)
  - fr (Luc Rebert)
  - ja (Takeshi AIHANA)
  - ko (Young-Ho Cha)
  - lt (ÃÅygimantas BeruÃÂka)
  - ru (Russian team)
  - sk (Marcel Telka)
  - zh_CN (Funda Wang)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/


GNOME System Tools Version 1.1, 2004-09-13
------------------------------------------

The GNOME System Tools version 1.1 "Still day beneath the sun" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

WARNING: Being a testing release, by default all the tool will be compiled

Changes since last release
==========================

  Shares
  ======
  - new tool for managing SMB and NFS connections, includes nautilus component (me)

  Users
  =====
  - Improved user's groups dialog, now it's permissions oriented (me)

  Boot
  ====
  - Made it more secure when the partitions list can't be extracted (me)

  Network
  =======
  - Added WEP keys support (Vincent Untz)

  General
  =======
  - Build fixes (me, Jamesh, Heikki Tauriaien)
  - Fixed a double free (me)

  Translations
  ============

  - ar (Arafat medini)
  - bg (Stoycho Stanchev)
  - cs (Miloslav Trmac)
  - da (Ole Laursen, Martin Willemoes Hansen)
  - en_CA (Adam Weinberger)
  - en_GB (David Lodge)
  - es (Francisco Javier F. Serrador)
  - eu (IÃ±aki LarraÃ±aga)
  - id (Mohammad DAMT)
  - it (Francesco Marletta)
  - pt (Duarte Loreto)
  - sk (Stanislav Visnovsky, Marcel Telka)
  - sq (Laurent Dhima)
  - sr, sr@Latn (Danilo ÃÂ egan)
  - sv (Christian Rose)
  - zh_TW (Abel Cheung)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.1/


GNOME System Tools Version 1.0, 2004-09-13
------------------------------------------

The GNOME System Tools version 1.0 "the X-ray eyes man" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

WARNING: By default, only the users, network and time tools will be built, for compiling the other tools you can do:

  --enable-services
  --enable-boot

at configure time


Changes since last release
==========================

  Translations
  ============
  - ar (Arafat Medini)
  - ca (Josep Puigdemont i CasamajÃ³)
  - cs (Miloslav Trmac)
  - de (Hendrik Richter)
  - el (Nikos Charonitakis)
  - en_GB (David Lodge)
  - fi (Sami Pesonen, Ilkka Tuohela)
  - fr (Jean-Michel Ardantz)
  - ro (MiÃÂu Moldovan)
  - sv (Christian Rose)
  - ta (Jayaradha)
  - tr (Baris Cicek, Ridvan Can, Tamer Sezgin)
  - zh_TW (Abel Cheung)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/1.0/


GNOME System Tools Version 0.92.0, 2004-09-01
---------------------------------------------

The GNOME System Tools version 0.92.0 "Better later than never" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

WARNING: By default, only the users, network and time tools will be built, for compiling the other tools you can do:

  --enable-services
  --enable-boot

at configure time


Changes since last release
==========================

  General
  =======
  - Various memleaks fixed (me)
  - Fixed backends calling in FreeBSD (Joe Marcus Clarke)
  - Added support for the recently branched FreeBSD 6.x (Joe Marcus Clarke)
  - Added support for SuSE 9.1 (me)

  Boot
  ====
  - Create a devices.map if it doesn't exist (me)

  ... plus other lots of bugfixing

  Thanks to Joe Marcus Clarke for submitting patches

  Thanks to everybody I've forgot to thank

  Translations
  ============
  - be (Christian Neumair)
  - bn (Runa Bhattacharjee)
  - bs (Akagic Amila)
  - da (Martin Willemoes Hansen)
  - el (Kostas Papadimas)
  - es (Francisco Javier F. Serrador)
  - eu (IÃ±aki LarraÃ±aga)
  - fi (Ilkka Tuohela)
  - ja (Takeshi AIHANA)
  - ko (Changwoo Ryu)
  - ms (Hasbullah Bin Pit)
  - nb, no (Kjartan Maraas)
  - nl (Vincent van Adrighem)
  - ta (Jayaradha)
  - sq (Laurent Dhima)
  - sr, sr@Latn (Danilo ÃÂ egan)
  - uk (Maxim Dziumanenko)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.92/


GNOME System Tools Version 0.91.0, 2004-08-20
---------------------------------------------

The GNOME System Tools version 0.91.0 "Freedom of speech" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

WARNING: By default, only the users, network and time tools will be built, for compiling the other tools you can do:

  --enable-services
  --enable-boot

at configure time


Changes since last release
==========================

  General
  =======
  - Improved communication with su/ssh, now works with users that don't need password for becoming root (me)
  - Added support for Vine Linux 3.0 and 3.1 (Daisuke SUZUKI)
  - Added support for Specifix Linux (Ken VanDine)
  - Fixed debian detection (Frederic Peters)
  - Changed "Black Panther Linux" to "Black Panther OS" (me)
  - Fixed Encode module detection with perl < 5.8 (Joe Marcus Clarke)

  Boot
  ====
  - Fixed name verification (me)
  - Defaulted timeout to 0 if it's not defined (me)

  Network
  =======
  - Fixed interfaces activation/deactivation in Slackware (me)

  Users
  =====
  - Verify that the user data has changed before running chfn (me)
  - Show all the groups when adding/modifying an user (me)

  ... plus other lots of bugfixing

  Thanks to Joe Marcus Clarke, Daisuke SUZUKI and Ken VanDine for submitting patches

  Thanks to everybody I've forgot to thank

  Translations
  ============
  - bg (Vladimir "Kaladan" Petkov)
  - bn (Runa Bhattacharjee)
  - cs (Miloslav Trmac)
  - da (Martin Willemoes Hansen)
  - en_CA (Adam Weinberger)
  - en_GB (David Lodge)
  - es (Francisco Javier F. Serrador)
  - fr (Jean-Michel Ardantz)
  - gu (Ankit Patel)
  - hu (Gabor Kelemen)
  - ja (Takeshi AIHANA)
  - lt (ÃÅygimantas BeruÃÂka)
  - nl (Vincent van Adrighem)
  - no (Kjartan Maraas)
  - pa (Amanpreet Singh Alam)
  - pl (PL Team)
  - pt (Duarte Loreto)
  - pt_BR (EstÃÂªvÃÂ£o Samuel ProcÃÂ³pio)
  - sq (Laurent Dhima)
  - sr, sr@Latn (Danilo ÃÂ egan)
  - zh_CN (Funda Wang)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.91/


GNOME System Tools Version 0.90.0, 2004-07-19
---------------------------------------------

The GNOME System Tools version 0.90.0 "Untitled" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA and PLD.

Changes since last release
==========================

  General
  =======
  - Added help docs for all tools (me)
  - Removed tools complexity thingy and "apply" button, somewhat improved UI (me)
  - Check that the backends output is really UTF-8, this will require perl >= 5.8 and perl-locale-gettext package, it also improves a lot backends i18n (me)
  - Added support for Fedora Core 2 (me)
  - Added support for Slackware 10.0 (me)
  - Removed warning dialog (me)

  Network
  =======
  - Added support for Black Panther Linux 4.0 (Karoly Barcza?)
  - Improved IP addresses parsing (me)
  - compilation fixes when -fno-common is active (Heikki Tauriainen)

  Boot
  ====
  - Avoid duplicates in the devices list (me)


  ... plus other lots of bugfixing

  Thanks to Evandro (aka hk) for testing Slackware 10.0 support

  Thanks to everybody I've forgot to thank

  Translations
  ============
  - bg (Vladimir Petkov)
  - da (Ole Laursen)
  - ja (Takeshi AIHANA)
  - sq (Laurent Dhima)
  
Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.90/



==============
Version 0.34.0
==============

The GNOME System Tools version 0.34.0 "The most expensive beer in the world" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA and PLD.

Changes since last release
==========================

  General
  =======

  - Made all the tools to use the new cool widgets, adding a dependency on Gtk+ 2.4 (me)
  - Improved message strings (me)
  - Added support for Mandrake 10 and 10.1 (Goetz Waschk <waschk@informatik.uni-rostock.de>)
  - Improved string parsing with localized su/ssh (Philippe Rouquier <rouquier.p@wanadoo.fr>)

  Network
  =======

  - Fixed #145047 (me)
  - Added support for Suse 9.0 and 9.1 (Satvik <satvik@students.iiit.net>, Kirti <kirtisinha@students.iiit.net>, me)

  Services
  ========

  - Added support for SuSE 9.0 (me)

  Users
  =====

  - Added support for Suse 9.0 (James Ogley, me)

  Boot
  ====

  - Made it work with Suse (me)

  ... plus other lots of bugfixing

  Thanks to everybody I've forgot to thank

  Translations
  ============
  - az (Metin Amiroff)
  - bg (Vladimir Petkov)
  - cs (Miloslav Trmac)
  - ja (Takeshi AIHANA)
  - pt_BR (Raphael Higino)
  - el (Kostas Papadimas)
  - en_CA (Alexander Winston, Adam Weinberger)
  - en_GB (Gareth Owen)
  - es (Francisco Javier F. Serrador)
  - nl (Vincent van Adrighem)
  - pl (Artur Flinta)
  - sq (Laurent Dhima)
  - sv (Christian Rose)
  - zh_CN (Funda Wang)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.34/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.33.0 "ora che ho perso la vista, ci vedo di piu" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Right now the GNOME System Tools fully support various distros/OS such as: Redhat, Mandrake, Fedora, Debian, Gentoo, Slackware, FreeBSD, OpenNA and PLD.

Changes since last release
==========================

  General
  =======
  - Yet more BE/FE communicacion improvements (me)
  - Added HIG dialogs everywhere (me)
  - FreeBSD compilation fixes (me)
  - Fixed a bunch of bugs in the Debian & GNOME BTS (me)

  Network
  =======
  - Added PPP support for Slackware 9.1 (me)
  - Added full support for Gentoo (me)
  - Added full support for FreeBSD 5.X (me)
  - Added full support for Conectiva (Helio Chissini de Castro)
  - Various UI improvements (me)

  Services
  ========
  - Added full support for Gentoo (me, Eduardo Garcia Cebollero)
  - Added full support for FreeBSD 5.X (me)
  - More services descriptions (John Spray, me)
  - UI fixes (me)

  Boot
  ====
  - Added support for FreeBSD OS (me, Joe Marcus Clarke)

  Users
  =====
  - Added some D&D (me)
  - Fixes related to FreeBSD support (me)

  Time
  ====
  - Added full support for SuSE 9.0 (James Ogley)
  - Added full support for Gentoo (me)
  - Added full support for Freebsd 5.X (me)

  ... plus other lots of bugfixing

  Thanks to everybody I've forgot to thank

  Translations
  ============
  - bg (Peter "Peshka" Slavov)
  - ca (Aleix Badia i Bosch)
  - cs (Miloslav Trmac)
  - da (Ole Laursen)
  - de (Christian Neumair)
  - en_CA (Adam Weinberger)
  - en_GB (Gareth Owen)
  - es (Francisco Javier F. Serrador)
  - et (Priit Laes)
  - fr (Jean-Michel Ardantz)
  - hr (Robert Sedak)
  - hu (Andras Timar)
  - ja (Takeshi AIHANA, Takayuki KUSANO)
  - lt (ÃÅygimantas BeruÃÂka)
  - mn (Sanlig Badral)
  - nl (Vincent van Adrighem, Elros Cyriatan)
  - pl (Artur Flinta)
  - pt_BR (Welther JosÃÂ© O. Esteves, Raphael Higino)
  - pt (Duarte Loreto)
  - sr, sr@Latn (Danilo ÃÂ egan)
  - sv (Christian Rose)
  - wa (Pablo Saratxaga)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.33/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.32.0 "99% fat free" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Changes since last release
==========================

  General
  =======
  - Fixed #131493 (me)
  - Renamed some GConf keys to use "_" instead of "-" (me)
  - Added support for PLD Linux 1.1 and 1.99 (Grzegorz Golawski)

  Network
  =======
  - Made it to save the gateway too in the profiles (me, Kasper Ronning)
  - Made it to avoid calling wvdialconf unless you're configuring a PPP iface,
    so it won't block with buggy wvdial (me)
  - UI Improvements, added some comments to some fields (me)

  Services
  ========
  - now it selects the first runlevel in the entry if there's no default runlevel (me)

  Boot
  ====
  - Added a dialog for selecting bootloader if the tool finds more than one that's supported (me)

  ... plus other lots of bugfixing

  Thanks to Grzegorz Golawski for submitting patches
  Thanks to Kasper Ronning for telling the gateway bug and the solution
  Thanks to everybody I've forgot to thank

  Translations
  ============
  - ca (Aleix Badia i Bosch)
  - cs (Miloslav Trmac)
  - da (Ole Laursen)
  - el (Kostas Papadimas)
  - es (Francisco Javier F. Serrador)
  - eu (Eneko Lakuntza)
  - ga (Alastair McKinstry)
  - it (Roberto Rosselli Del Turco)
  - ko (Young-Ho Cha)
  - lt (ÃÅygimantas BeruÃÂka)
  - nl (Tino Meinen, Kees van den Broek)
  - no (Kjartan Maraas)
  - pl (Artur Flinta)
  - pt (Duarte Loreto)
  - sr, sr@Latn (Danilo ÃÂ egan)
  - zh_CN (Funda Wang)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.32/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.31.1 "[Insert random thought here]" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Changes since last release
==========================

  General
  =======
  - Added support for Mandrake 9.2 (me)
  - Fixed backends i18n breakage that made it probably work only in debian (me)
  - Fixed some building issues (Jose Carlos, me)

  Network
  =======
  - Added partial support for slackware, it now parses rc.inet1.conf for eth devices. PPP, IrLan and plip are still to come (me)

  Services
  ========
  - Improved slackware services parsing, now it also parses rc.inet2 (me)
  - Fixed a couple of typos in the services descriptions

  ... plus other lots of bugfixing
  
  Thanks to Jose Carlos Garcia Sogo for submitting patches
  Thanks to Elros Cyriatan for telling the typos

  Translations
  ============
  - Czech (Miloslav Trmac)
  - Danish (Ole Laursen)
  - Dutch (Elros Cyriatan)
  - Malay (Hasbullah Bin Pit)
  - Serbian (Danilo ÃÂ egan)
  - Spanish (Francisco Javier F. Serrador)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.31/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.31.0 "A brick in the sky" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Changes since last release
==========================

  General
  =======
  - Added support for Fedora Core 1 (me)
  - Added support for Slackware 9.1 for services, time, users, boot. Network is still missing (me)
  - Added i18n to the backends. for this you may need the perl gettext packages (me)

  Network
  =======
  - Various UI fixes (me)
  - Made it to poll the status of the interfaces (me)

  Services
  ========
  - Various UI fixes (me)

  Time
  ====
  - Various UI fixes (me)

  Boot
  ====
  - Added support for Yaboot (me)

  ... plus other lots of bugfixing

  Thanks to Grzegorz Golawski <grzegol pld org pl> for submitting patches

  Translations
  ============
  - Czech (Miloslav Trmac)
  - Danish (Ole Laursen)
  - Dutch (Vincent van Adrighem)
  - Japanese (Takeshi AIHANA)
  - Portuguese (Duarte Loreto)
  - Serbian (Danilo ÃÂ egan)
  - Spanish (Francisco Javier F. Serrador)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.31/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.30.0 "Dedicated to Chema Celorio" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Changes since last release
==========================

  General
  =======
  - added GDK_WATCH cursor when the tool is frozen (Carlos Garnacho)
  - string and UI fixes (Carlos Garnacho)

  Network
  =======
  - Added user feedback when the tool is detecting the modem device (Carlos Garnacho)
  - Made it to save the DNS list when saving a profile (Carlos Garnacho)

  Services
  ========
  - silented warnings (Carlos Garnacho)

  Time
  ====
  - fixed a possible crasher (Carlos Garnacho)

  Users
  =====
  - removed the "profiles" button from the main dialog (Carlos Garnacho)

  ... plus other lots of bugfixing

  Translations
  ============
  - Azerbaijani (Metin Amiroff)
  - Czech (Miloslav Trmac)
  - Danish (Ole Laursen)
  - Dutch (Vincent van Adrighem)
  - French (Jean-Michel Ardantz)
  - Greek (Kostas Papadimas)
  - Malay (Hasbullah Bin Pit)
  - Portuguese (Duarte Loreto)
  - Serbian (Danilo ÃÂ egan)
  - Spanish (Francisco Javier F. Serrador)
  - Swedish (Christian Rose)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools/0.30/

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.29.0 "Where's my hack??" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - Made the apply|cancel|OK buttons behavior more sensible (Carlos Garnacho)

  Network
  =======
  - Changed some textviews into treeviews, other UI fixes (Carlos Garcia)
  - Added wireless interfaces support for Debian >= woody, Redhat >= 7.2 and Mandrake >= 9.0 (Carlos Garnacho)

  Time
  ====
  - Fixed time support for gentoo (Carlos Garnacho)
  - Made it possible to change the time with the keyboard (Alvaro del Castillo)


  ... plus other lots of bugfixing

  Thanks to Alvaro del Castillo for sending patches
  Thanks too to all the translators :-)
  Thanks to everybody who's worth of it and I've forgot to thank

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Adding services descriptions to the services-admin tool
-------------------------------------------------------
In order to make the services-admin tool more user-friendly, there are a lot of services that need descriptions for what they do

Prerequisites
=============

* GNOME 2 libraries

* GConf

* LibGlade

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Services admin
Allows you to configure:
    * the services your computer will run at startup
    * in which runlevels do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wireless

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.28.0 "Juggling knives" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - Added HIGified "apply" "cancel" and "OK" buttons in all the main dialogs (Carlos Garnacho)
  - Several HIG improvements (William Jon McCann)
  - Improved communication between backend and frontend (Carlos Garnacho)
  - Added Mandrake 9.0 and 9.1 support (Carlos Garnacho)
  - Added OpenNA 1.0 support for all tools (Gerhard Mourani)
  - Improved auto* use in backends, added independent pkg-config file for the backends, made the backends to configure independently of the frontends (Eduardo Garcia Cebollero)
 
  Boot
  ====
  - fixed bug #121744 (Carlos Garnacho)
  - made the tool somewhat independent from the devices.map file when configuring GRUB (Carlos Garnacho)
 
  Network
  =======
  - fixed a crasher when trying to add a new interface (Carlos Garnacho)
  - added the --configure <interface> command line parameter (Carlos Garnacho)
  - made it to throw the druid if there aren't configured interfaces (Carlos Garnacho)
 
  Time
  ====
  - HIG improvements (Carlos Garnacho)

  Users
  =====
  - UI improvements (Carlos Garnacho)
  - Fixed bugs #122174 and #113423 (Carlos Garnacho)
   
  ... plus other lots of bugfixing

  Thanks to Gerhard Mourani and William Jon McCann for sending patches
  Thanks too to all the translators :-)
  Thanks to everybody who's worth of it and I've forgot to thank

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* LibGlade

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Services admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runlevels do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.27.0 "A pint of Guinness" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - Added remote configuration through SSH. NOTE: for using this you need at least GST 0.27.0 correctly installed in your target systems, so pkg-config can find the path to the backends, and of course sshd. for enabling this you probably need to play with "remote_configuration" and "remote_hosts_list" keys under /apps/gnome-system-tools/global in GConf  (Carlos Garnacho)
  - Made GST to run only the backends as root  (Carlos Garnacho)
  - Moved the applications menu entries to /Applications/System tools/ (Carlos Garnacho)
  - General UI Fixes (Carlos Garnacho)
 
  Boot
  ====
  - UI improvements (Christian Neumair, Carlos Garnacho)
  - Various bugfixing and code cleaning (Carlos Garcia)
  - Added entry password support (Carlos Garcia, Carlos Garnacho)
  - Added partial Hurd menu entries support in GRUB (Carlos Garnacho)
 
  Network
  =======
  - UI improvements (Christian Neumair, Carlos Garnacho)
  - added the possibility of dialing to an external line (Carlos Garnacho)
 
  Runlevel->Services
  ==================
  - Full UI Change, now the tool is more services-oriented (Carlos Garnacho)
 
  Time
  ====
  - UI improvements (Christian Neumair)
  - Made the backend to work again (Carlos Garnacho)

  Users
  =====
  - i18n issues (Christian Neumair)
  - Fixed crasher bug #111924 (Manuel Clos)
   
  ... plus other lots of bugfixing

  Thanks to William Jon McCann and Manuel Clos for sending patches

  Thanks to all the translators, they're worth of it

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* LibGlade

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Services admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.26.1 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - UI Fixes (Carlos GarcÃÂ­a)
  - Compile fixes under gcc2.95 (Garnacho)
  - Added support to RedHat 9.0 (Garnacho)
  - Added support to Mandrake 9.1 in boot, runlevel, users and time tools (Frej Rasmussen)

  Runlevel
  ========
  - Added support for file-rc (Garnacho)

  Network
  =======
  - Now the network profiles really work (Garnacho)

  
  ... plus other lots of bugfixing (Garnacho, Carlos GarcÃÂ­a)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* VTE

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.26.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - Added GST to pkgconfig, so any third party application could find backends
  
  Network
  =======
  - Added network profiles support (Garnacho)


  ... plus other lots of bugfixing (Garnacho, Carlos GarcÃÂ­a)

  thanks to GÃÂ¶tz Waschk, Ken Stanley, James Livinston and Joseph Wenninger for sending patches

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* VTE

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
The GNOME System Tools version 0.25.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  General
  =======
  - Added full support for PLD Linux (Grzegorz Golawski)
  - Added support for slackware 8.1 in time and users (Todd Kulesza)
  - s/xst/gst/ in all the code (Christian Neumair)
  - general UI polishing (Christian Neumair, Carlos GarcÃÂ­a, Garnacho)
  - Added more service descriptions (Eduardo GarcÃÂ­a Cebollero)

  Boot
  ====
  - Added support for initrd images (Garnacho, Carlos GarcÃÂ­a)
  - Now the root device entry is a combo with a closed set of options depending on the entry type (Carlos GarcÃÂ­a)
  - Added popup menus (Carlos GarcÃÂ­a)
  - UI polishing (Carlos GarcÃÂ­a)

  Network
  =======
  - Added basic IPv6 support (Garnacho)
  - Added modem autodetection (Garnacho)
  - Added connection druids, made them also run standalone (Garnacho)
    you can throw them running:
         $ network-admin --new-connection
         $ network-admin --ppp-connection
         $ network-admin --eth-connection
         $ network-admin --wlan-connection
         $ network-admin --plip-connection
         $ network-admin --irlan-connection

  Users
  =====
  - Added popup menus (Carlos GarcÃÂ­a)


  ...plus other lots of bugfixing

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* VTE

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>
Carlos GarcÃÂ­a Campos <elkalmail@yahoo.es>
Christian Neumair <chris@gnome-de.org>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------

The GNOME System Tools version 0.24.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

This is mostly a bugfix release

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* VTE

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------

The GNOME System Tools version 0.23.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

  general
  =======
  - Configuration is now stored in GConf (Carlos GarcÃÂ­a, Garnacho)
  - Icons now appear in system-settings:/// in nautilus (Garnacho)
  - Now uses VTE terminal widget for authentication (Garnacho)
  - Added RedHat 8 support (Martin Lundberg)

  boot
  ====
  - Added a dialog to edit the kernel parameters that are passed at boot time (Carlos GarcÃÂ­a)
  - HIG-ified gui (Carlos GarcÃÂ­a, Garnacho)

  network
  =======
  - Added more modem options, such as volume and tones or pulses dialing (Garnacho)
  - HIG-ified gui (Garnacho, Carlos GarcÃÂ­a)

  runlevel
  ========
  - now runlevel-admin allows changing priorities in services (Garnacho)
  - added a dialog to launch scripts (Garnacho)
  - added more services descriptions (Martin Lundberg)

  time
  ====
  - the calendar now displays sunday or monday as the beginning day depending on the active locale (Garnacho)
  - remodelled and HIG-ified gui (Garnacho)

  users
  =====
  - added search bar again (Garnacho)
  - added user profiles again (Garnacho)

  ...plus other lots of bugfixing (Garnacho, Carlos GarcÃÂ­a)


Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/gnome/unstable/sources/gnome-system-tools/

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* GConf

* VTE

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a GNOME System Tool.

The backup path is /var/cache/setup-tools-backends/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------
	   
The GNOME System Tools version 0.22.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

- removed deprecated functions, it now compiles with *_DISABLE_DEPRECATED (Garnacho)
- removed several compiler warnings (Garnacho)
- added distro logos in the "unsupported distro" dialog (Garnacho)
- solved a lot of bugs (Tambet, Garnacho)
- boot-admin uses GtkTreeView (Garnacho)
- removed GAL dependency (Garnacho)
- improved UI (Garnacho, Tambet)
- HIG patially applied (Garnacho)
- boot-admin autodetects grub or lilo (Garnacho)
- added Slackware support in time and users (ÃÂlvaro PeÃÂ±a)
- added Gentoo support in time (Markus Bertheau)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/gnome/unstable/sources/gnome-system-tools/

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* gal-2.0

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garnacho@tuxerver.net>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garnacho@tuxerver.net>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------

The GNOME System Tools version 0.21.0 have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The GNOME System Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://www.gnome.org/projects/gst/screenshots.html

Changes since last release
==========================

    * The project was ported to the GNOME 2.0 platform (Tambet, Garnacho, Chema)
    * Added Runlevel tool (Carlos Garnacho)
    * Bugfixing in the existing tools
    * New name
    * Ximian is not sponsoring GST (formerly XST, Ximian Setup Tools) anymore
    * Only the stable tools are enabled

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/gnome/unstable/sources/gnome-system-tools/

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.gnome.org

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

* GNOME 2 libraries

* gal-2.0

* gnome-print 

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored.

Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #gst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the GST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Runlevel admin
Allows you to configure:
     * the services your computer will run at startup
     * in which runleves do they run

- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager
    
Credits
=======

Maintainer

Carlos Garnacho Parro <garparr@teleline.es>

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>
Carlos Garnacho Parro <garparr@teleline.es>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>

--------------------------------------------------------------------------------------------------------------------------------------------------------------
Ximian Setup Tools - 0.11.0

The Ximian Setup Tools version 0.11.0 have been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. Internally they are divided in frontends and backends. The frontend knows nothing about the underlying system and provides the same user interface across the different types of systems. The backend knows how to read and write the configuration information. The Ximian Setup Tools do not impose a new database on the system: they work with the default configuration files so that configuration can still be done by hand or by other tools.

Screenshots
===========
You can view screenshots of the most recent tools at http://primates.ximian.com/~chema/xst/

Changes since last release
==========================

    * Added Font tool. (Tambet)
    * Added support for Red Hat 7.2 (Arturo)
    * Added support for Grub. (Arturo)
    * Improved error reporting. (Arturo)
    * Time now changes the clock when a timezone change is made and ntp state is loaded correctly. (Hans)
    * Lots of bugfixing in the existing tools. (Everyone)
    * Conditionaly compile with/without archiver support (Chema)

Downloading
===========
You can get it from : ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

Help Wanted
===========
We still need lots of help from anybody interested in contributing to GST, even if it's only an email letting us know whether the tools worked for your system. You can also submit bug reports at http://bugzilla.ximian.com

Testing
-------
Testing that the tools work correctly on your system and either filing detailed bug reports or confirming that they work correctly is greatly appreciated. If you test a tool on an unsupported distro/system and find out that it works correctly, please let us know so that we can update the supported tools matrix (see below).

Porting
-------
The backends are designed as to minimize the effort needed to support more distros/systems. A great way to contribute is to port the tools to another distribution/system.

Prerequisites
=============

- Without archiver support  [--without-archiver]:

* GNOME 1.4 libaries

* gal >= 0.12, available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gal/gal-0.12.tar.gz

* gnome-print >= 0.34 available at
ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/gnome-print-0.34.tar.gz
- With archiver support [--with-archiver] without archiver requirements plus "

* control-center >= 1.5.11 available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/control-center/control-center-1.5.11.tar.gz

* bonobo

Stability
=========
The tools have been stable on our systems recently. However, since this tools modify your system configuration we suggest that only people which are going to be able to solve a problem if something goes wrong use them at the time. We have created a backup system so that the changes made to the configuration files are tracked and stored (see below).

In particular we've found the display tool to uncover some X problems which might make X crash. Save all your documents before trying out the display-tool.


Mailing list / IRC
==================
For discussion and feedback, sign up for our mailing list:http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in the #xst channel on IRC server irc.gnome.org

Whitepaper
==========
You can find the latest version of the XST whitepaper at: http://primates.ximian.com/~miguel/helix-setup-tools.html

Backup system
=============
Every time a tool modifies your system configuration files, it makes backups of those files. The backups are rotated (for 9 levels in total), and the backup made the first time the tool was run is kept forever. This means that you can revert your system configuration to the point before you ever ran a Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this directory, you'll find a complete snapshot of the files that were modified. The original directory structure leading up to these files is also kept. <id> runs from 1-9, and when the first backup is rotated out, it is kept in a special catalog called "First", which is never touched again.

Current Tool Set
================
- Network admin
Allows you to configure your:

    * hostname
    * samba hostname and workgroup
    * DNS servers
    * search domains
    * hosts (/etc/hosts)
    * Network interfaces
    * ppp
    * ethernet
    * slip
    * wavelan (limited support)

- Time admin
Allows you to configure your:

    * Date & Time
    * Timezone
    * NTPD servers

- Users admin
Allows you to manage:

    * Users
    * username / full name
    * password
    * home dir
    * shell
    * groups
    * Groups

- Boot admin
Allows you to set:

    * Default boot partition
    * Partition type and label
    * Timeout
    * Kernel image
    * Kernel extra parameters (append)
    * adding or deleting partitions from the boot manager

- Shares admin
Allows you to import and export NFS and samba shares.

    * import NFS & samba shares
    * export NFS & samba shares

- Display admin
Allows you to configure your:

    * Resolution
    * Color depth

- Internet Sharing admin
Lets you share your internet connection with a LAN, configuring:

    * Masquerading
    * DHCP server and ranges

- Font tool
Allows you to install and configure:

    * New truetype fonts
    * Change your current fonts

Verification matrix
===================

This is a matrix describing the current status of tool platform/distribution support, to the best of our knowledge.

Key:

  +  Supported and tested. The tool will not ask you to select a compatible
  version or distribution. Of course, there may still be bugs. :-)
  +? Supported, not tested. Same as '+', but we haven't tested it. In other
  words, it "should work", because we know it's compatible.
  ?  Unsupported, may work. You'll be asked to select a compatible version or
  distribution, which may or may not work.
  -  Unsupported, doesn't work. We haven't worked on any version of that
  flavour. It's most likely that it won't work.


  Red Hat Linux:

  Version        5.2     6.0     6.1     6.2     7.0     7.1     7.2 

  Boot            +?      +?      +?      +       +       +	      +
  Network         +?      +?      +?      +       +       +	      +
  Shares          +?      +?      +?      +       +       +	      +
  Time            +?      +?      +?      +       +       +	      +
  Users           +?      +?      +?      +       +       +	      +
  Display          ?       ?       ?      ?       +       +	      +
  Internetsharing  ?       ?       ?      ?       +       +	      +
  Font             ?       ?       ?      ?       ?       ?       +

  Debian GNU/Linux:

  Version        2.2    Woody

  Boot            +       +
  Network         +       +?
  Shares          +       +
  Time            +       +
  Users           +       +?
  Display         +       +
  Internetsharing +       +
  Font            ?       ?

  Woody comments: You'll have to echo 'woody' > /etc/debian_version to
  make the ximian-setup-tools detect your distribution. 


  Linux Mandrake:

  Version        7.0     7.1     7.2     8.0

  Boot            ?       ?       +       ?
  Network         ?       ?       +       ?
  Shares          ?       ?       +       ?
  Time            ?       ?       +       ?
  Users           ?       ?       +       ?
  Display         ?       ?       ?       ?
  Internetsharing ?       ?       +       ?
  Font            ?       ?       ?       ?

  SuSE Linux:

  Version        6.3     6.4     7.0     7.1

  Boot            ?       ?       +       ?
  Network         ?       ?       +?      ?
  Shares          ?       ?       +       ?
  Time            ?       ?       +       ?
  Users           ?       ?       +       ?
  Display         ?       ?       ?       ?
  Internetsharing ?       ?       ?       ?
  Font            ?       ?       ?       ?

  Turbolinux:

  Version         6

  Boot            ?
  Network         -
  Shares          ?
  Time            -
  Users           ?
  Display         +?
  Internetsharing ?
  Font            ?

  LinuxPPC:

  Version        2000

  Boot            -
  Network         -
  Shares          ?
  Time            -
  Users           ?
  Display         ?
  Internetsharing ?
  Font            ?

  Yellow Dog Linux:

  Version        1.2     2.0

  Boot            -       -
  Network         -       -
  Shares          ?       ?
  Time            -       -
  Users           ?       ?
  Display         ?       ?
  Internetsharing ?       ?
  Font            ?       ?

  Solaris:

  Version        7.0     8.0

  Boot            -       -
  Network         -       -
  Shares          -       -
  Time            -       -
  Users           -       -
  Display         -       -
  Internetsharing -       -
  Font            -       -

  HPUX:

  Version       10.0     11.0

  Boot            -       -
  Network         -       -
  Shares          -       -
  Time            -       -
  Users           -       -
  Display         -       -
  Internetsharing -       -
  Font            -       -

  FreeBSD:

  Version        4.x     5.x

  Boot            -       -
  Network         -       -
  Shares          ?       ?
  Time            -       -
  Users           ?       ?
  Display         -       -
  Internetsharing -       -
  Font            -       -

Credits
=======

Developers

Arturo Espinosa <arturo@ximian.com>
Hans Petter Jansson <hpj@ximian.com>
Tambet Ingo <tambet@ximian.com>
Chema Celorio <chema@ximian.com>
Bradford Hovinen <bradford@ximian.com>
Israel Escalante <israel@ximian.com>
Jacob Berkman <jacob@ximian.com>

Artists

Jakub Steiner <jimmac@ximian.com>
Anna Dirks <anna@ximian.com>
Tuomas Kuosmanen <tigert@ximian.com>
Joakim Ziegler <joakim@ximian.com>


--------------------------------------------------------------------------------------------------------------------------------------------------------------

XST - 0.10
==========
The Ximian Setup Tools 0.10.0 have been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in frontends and
backends. The frontend knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools. 


HELP Wanted !
-------------
We still need lots of help from anybody interested in contributing
to XST. Even if it only an email letting us know that the tools worked
fine in you system.

- Testing
   Testing that the tools work correctly on your system and either filing
   detailed bug reports or confirming that they work correctly is greatly
   appreciated. If you test a tool on an unsupported distro/system and find out
   that it works correctly let us know so that we can update the supported
   tools matrix (see below).
  
- Porting
   The backends are designed as to minimize the effort needed to support more
   distros/systems. A great way to contribute is to port the tools to
   another distribution/system.

Changes since last release
--------------------------

- Added Font tool.

- Added support for Red Hat 7.2

- Added support for Grub.

- Improved error reporting.

- Time now changes the clock when a timezone change is made and ntp state
  is loaded correctly.

- Lots of bugfixing in the existing tools.


Downloading
-----------
You can get it from :

ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

Mailing list / IRC
------------------

We have a mailing list set up at :
http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in IRC server irc.gnome.org channel #xst


Whitepaper
----------

You can find the latest version of the XST whitepaper at:

http://primates.ximian.com/~miguel/helix-setup-tools.html


Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.


The current set of tools include :
----------------------------------

- Network admin
   
   Allows you to configure your:
   - hostname
   - samba hostname and workgroup
   - DNS servers
   - search domains
   - hosts (/etc/hosts)
   - Network interfaces
        - ppp 
        - ethernet
        - slip
        - wavelan (limited support)
  	
- Time admin

   Allows you to configure your:
   - Date & Time
   - Timezone
   - NTPD servers
   
- Users admin

    Allows you to manage:
    - Users
        - username / full name
        - password
        - home dir
        - shell
        - groups
    - Groups
    
- Boot admin

     Allows you to set:
     - Default boot partition
     - Partition type and label
     - Timeout
     - Kernel image
     - Kernel extra parameters (append)
     - adding or deleting partitions from the boot manager
     
- Shares admin

     Allows you to import and export NFS and samba
     shares.
     - import NFS & samba shares
     - export NFS & samba shares

- Display admin

     Allows you to configure your:
     - Resolution
     - Color depth

- Internet Sharing admin

     Lets you share your internet connection with a LAN, configuring:
     - Masquerading
     - DHCP server and ranges

- Font tool
     Allows you to install and configure:
     - New truetype fonts
     - Change your current fonts
	

Verification matrix
-------------------

This is a matrix describing the current status of tool platform/distribution
support, to the best of our knowledge.

Key:

+  Supported and tested. The tool will not ask you to select a compatible
   version or distribution. Of course, there may still be bugs. :-)
+? Supported, not tested. Same as '+', but we haven't tested it. In other
   words, it "should work", because we know it's compatible.
?  Unsupported, may work. You'll be asked to select a compatible version or
   distribution, which may or may not work.
-  Unsupported, doesn't work. We haven't worked on any version of that
   flavour. It's most likely that it won't work.


Red Hat Linux:

Version        5.2     6.0     6.1     6.2     7.0     7.1     7.2 

Boot            +?      +?      +?      +       +       +	+
Network         +?      +?      +?      +       +       +	+
Shares          +?      +?      +?      +       +       +	+
Time            +?      +?      +?      +       +       +	+
Users           +?      +?      +?      +       +       +	+
Display          ?       ?       ?      ?       +       +	+
Internetsharing  ?       ?       ?      ?       +       +	+
Font		 ?       ?       ?      ?       ?       ?       +

Debian GNU/Linux:

Version        2.2    Woody

Boot            +       +
Network         +       +?
Shares          +       +
Time            +       +
Users           +       +?
Display         +       +
Internetsharing +       +
Font            ?       ?

Woody comments: You'll have to echo 'woody' > /etc/debian_version to
make the ximian-setup-tools detect your distribution. 


Linux Mandrake:

Version        7.0     7.1     7.2     8.0

Boot            ?       ?       +       ?
Network         ?       ?       +       ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?
Display         ?       ?       ?       ?
Internetsharing ?       ?       +       ?
Font		?	?	?	?

SuSE Linux:

Version        6.3     6.4     7.0     7.1

Boot            ?       ?       +       ?
Network         ?       ?       +?      ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?
Display         ?       ?       ?       ?
Internetsharing ?       ?       ?       ?
Font            ?       ?       ?       ?

Turbolinux:

Version         6

Boot            ?
Network         -
Shares          ?
Time            -
Users           ?
Display         +?
Internetsharing ?
Font            ?

LinuxPPC:

Version        2000

Boot            -
Network         -
Shares          ?
Time            -
Users           ?
Display         ?
Internetsharing ?
Font            ?

Yellow Dog Linux:

Version        1.2     2.0

Boot            -       -
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?
Display         ?       ?
Internetsharing ?       ?
Font		?	?

Solaris:

Version        7.0     8.0

Boot            -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -
Display         -       -
Internetsharing -       -
Font		-	-

HPUX:

Version       10.0     11.0

Boot            -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -
Display         -       -
Internetsharing -       -
Font		-	-

FreeBSD:

Version        4.x     5.x

Boot            -       -
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?
Display         -       -
Internetsharing -       -
Font		-	-


Developers:   Chema Celorio <chema@ximian.com>
              Hans Petter Jansson <hpj@ximian.com>
              Arturo Espinosa <arturo@ximian.com>
              Tambet Ingo <tambet@ximian.com>
              Jacob Berkman <jacob@ximian.com>
              Bradford Hovinen <bradford@ximian.com>
              Israel Escalante <israel@ximian.com>

Artists:      Anna Dirks <anna@ximian.com>
              Jakub Steiner <jimmac@ximian.com>
              Tuomas Kuosmanen <tigert@ximian.com>
              Joakim Ziegler <joakim@ximian.com>

XST - 0.8
---------
The Ximian Setup Tools 0.8.0 have been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in frontends and
backends. The frontend knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools.

Changes since last release
--------------------------

- Added Display tool for configuring XFree86.

- Added Internet Sharing tool for easy sharing of an internet connection.

- Re-enabled the disabled Shares tool with many new features and
  improvements.

- Improved error reporting.

- Lots of stabilizing and bugfixing in the existing tools.


Downloading
----------
You can get it from :

ftp://ftp.ximian.com/pub/setuptools/
or (once the mirrors sync)
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

Contributions
-------------

We are happy to say that a lot of contributions have started flowing
in. We still need lots of help from anybody interested in contributing
to XST. 

- Testing
   Testing that the tools work correctly on your system and either filing
   detailed bug reports or confirming that they work correctly is greatly
   appreciated. If you test a tool on an unsupported distro/system and find out
   that it works correctly let us know so that we can update the supported
   tools matrix (see below).
  
- Porting
   The backends are designed as to minimize the effort needed to support more
   distros/systems. A great way to contribute is to port the tools to
   another distribution/system.


Mailing list / IRC
------------------

We have a mailing list set up at :
http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in IRC server irc.gnome.org channel #xst


Whitepaper
----------

You can find the latest version of the XST whitepaper at:

http://primates.ximian.com/~miguel/helix-setup-tools.html


Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.


The current set of tools include :
----------------------------------

- Network admin
   
   Allows you to configure your:
   - hostname
   - samba hostname and workgroup
   - DNS servers
   - search domains
   - hosts (/etc/hosts)
   - Network interfaces
        - ppp 
        - ethernet
        - slip
        - wavelan (limited support)
  	
- Time admin

   Allows you to configure your:
   - Date & Time
   - Timezone
   - NTPD servers
   
- Users admin

    Allows you to manage:
    - Users
        - username / full name
        - password
        - home dir
        - shell
        - groups
    - Groups
    
- Boot admin

     Allows you to set:
     - Default boot partition
     - Partition type and label
     - Timeout
     - Kernel image
     - Kernel extra parameters (append)
     - adding or deleting partitions from the boot manager
     
- Shares admin

     Allows you to import and export NFS and samba
     shares.
     - import NFS & samba shares
     - export NFS & samba shares

- Display admin

     Allows you to configure your:
     - Resolution
     - Color depth

- Internet Sharing admin

     Lets you share your internet connection with a LAN, configuring:
     - Masquerading
     - DHCP server and ranges

- Disks admin

     Allows you to :
     - Mount and unmount local file systems.

- Memory admin

     Allows you to configure :
     - Swap partitions
     - Swap files
     - priorities of swap areas


Verification matrix
-------------------

This is a matrix describing the current status of tool platform/distribution
support, to the best of our knowledge.

Key:

+  Supported and tested. The tool will not ask you to select a compatible
   version or distribution. Of course, there may still be bugs. :-)
+? Supported, not tested. Same as '+', but we haven't tested it. In other
   words, it "should work", because we know it's compatible.
?  Unsupported, may work. You'll be asked to select a compatible version or
   distribution, which may or may not work.
-  Unsupported, doesn't work. We haven't worked on any version of that
   flavour. It's most likely that it won't work.


Red Hat Linux:

Version        5.2     6.0     6.1     6.2     7.0     7.1

Boot            +?      +?      +?      +       +       +
Disks           +?      +?      +?      +       +       +
Memory          +?      +?      +?      +       +       +
Network         +?      +?      +?      +       +       +
Shares          +?      +?      +?      +       +       +
Time            +?      +?      +?      +       +       +
Users           +?      +?      +?      +       +       +
Display          ?       ?       ?      ?       +       +
Internetsharing  ?       ?       ?      ?       +       +


Debian GNU/Linux:

Version        2.2    Woody

Boot            +       +
Disks           +       +
Memory          +       +
Network         +       +?
Shares          +       +
Time            +       +
Users           +       +?
Display         +       +
Internetsharing +       +

Woody comments: You'll have to echo 'woody' > /etc/debian_version to
make the ximian-setup-tools detect your distribution. 


Linux Mandrake:

Version        7.0     7.1     7.2     8.0

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +       ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?
Display         ?       ?       ?       ?
Internetsharing ?       ?       +       ?


SuSE Linux:

Version        6.3     6.4     7.0     7.1

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +?      ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?
Display         ?       ?       ?       ?
Internetsharing ?       ?       ?       ?


Turbolinux:

Version         6

Boot            ?
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?
Display         +?
Internetsharing ?


LinuxPPC:

Version        2000

Boot            -
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?
Display         ?
Internetsharing ?


Yellow Dog Linux:

Version        1.2     2.0

Boot            -       -
Disks           ?       ?
Memory          ?       ?
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?
Display         ?       ?
Internetsharing ?       ?


Solaris:

Version        7.0     8.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -
Display         -       -
Internetsharing -       -


HPUX:

Version       10.0     11.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -
Display         -       -
Internetsharing -       -


FreeBSD:

Version        4.x     5.x

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?
Display         -       -
Internetsharing -       -
XST - 0.6
---------
The Ximian Setup Tools 0.6.0 have been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in frontends and
backends. The frontend knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools.

Changes since last release
--------------------------

- This was a major bug fix release only. There are some internal changes but
no new user-visible features where added. We have started working on a new set
tools.

Downloading
----------
You can get it from :

ftp://ftp.ximian.com/pub/setuptools/
or (once the mirrors sync)
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

Contributions
-------------

We are happy to say that a lot of contributions have started flowing
in. We still need lots of help from anybody interested in contributing
to XST. 

- Testing
   Testing that the tools work correctly on your system and either filing
   detailed bug reports or confirming that they work correctly is greatly
   appreciated. If you test a tool on an unsupported distro/system and find out
   that it works correctly let us know so that we can update the supported
   tools matrix (see below).
  
- Porting
   The backends are designed as to minimize the effort needed to support more
   distros/systems. A great way to contribute is to port the tools to
   another distribution/system.


Mailing list / IRC
------------------

We have a mailing list set up at :
http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in IRC server irc.gnome.org channel #xst


Whitepaper
----------

You can find the latest version of the XST whitepaper at:

http://primates.ximian.com/~miguel/helix-setup-tools.html


Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.
     
Location Management
-------------------

Location management is available under the program
"location-manager-capplet", now built by default.

This program runs in two modes: per-user and global. In per-user mode
(the default), the capplets available from the control center are
location-managed. In order to use this mode, you will need to fetch
the GNOME Control Center from CVS (HEAD branch). A release of the
Control Center with capplets that support location management will be
made shortly.

In global mode, the Ximian Setup Tools themselves are location
managed. To invoke the location manager in this mode, pass the -g
option. Of course, you will need to be running as root to run the
location manager in this mode.


The current set of tools include :
----------------------------------

- Network admin
   
   Allows you to configure your:
   - hostname
   - samba hostname and workgroup
   - DNS servers
   - search domains
   - hosts (/etc/hosts)
   - Network interfaces
        - ppp 
        - ethernet
        - slip
        - wavelan (limited support)
  	
- Time admin

   Allows you to configure your :
   - Date & Time
   - Timezone
   - NTPD servers
   
- Users admin

    Allows you to manage :
    - Users
        - username / full name
        - password
        - home dir
        - shell
        - groups
    - Groups
    
- Boot admin

     Allows you to set :
     - Default boot partition
     - Partition type and label
     - Timeout
     - Kernel image
     - Kernel extra parameters (append)
     - adding or deleting partitions from the boot manager
     
- Shares admin

     Allows you to import and export NFS and samba
     shares.
     - import NFS & samba shares
     - export NFS & samba shares

- Disks admin

     Allows you to :
     - Mount and unmount local file systems.

- Memory admin

     Allows you to configure :
     - Swap partitions
     - Swap files
     - priorities of swap areas


Verification matrix
-------------------

This is a matrix describing the current status of tool platform/distribution
support. To the best of our knowledge.

Key:

+  Supported and tested. The tool will not ask you to select a compatible
   version or distribution. Of course, there may still be bugs. :-)
+? Supported, not tested. Same as '+', but we haven't tested it. In other
   words, it "should work", because we know it's compatible.
?  Unsupported, may work. You'll be asked to select a compatible version or
   distribution, which may or may not work.
-  Unsupported, doesn't work. We haven't worked on any version of that
   flavour. It's most possible that it won't work.


Red Hat Linux:

Version        5.2     6.0     6.1     6.2     7.0     7.1

Boot            +?      +?      +?      +       +       +
Disks           +?      +?      +?      +       +       +
Memory          +?      +?      +?      +       +       +
Network         +?      +?      +?      +       +       +
Shares          +?      +?      +?      +       +       +
Time            +?      +?      +?      +       +       +
Users           +?      +?      +?      +       +       +


Debian GNU/Linux:

Version        2.2    Woody

Boot            +       +
Disks           +       +
Memory          +       +
Network         +       +?
Shares          +       +
Time            +       +
Users           +       +?

Woody comments: You'll have to echo 'woody' > /etc/debian_version to
make the ximian-setup-tools detect your distribution. 

Linux Mandrake:

Version        7.0     7.1     7.2     8.0

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +       ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?


SuSE Linux:

Version        6.3     6.4     7.0     7.1

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +?      ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?


Turbolinux:

Version         6

Boot            ?
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


LinuxPPC:

Version        2000

Boot            -
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


Yellow Dog Linux:

Version        1.2     2.0

Boot            -       -
Disks           ?       ?
Memory          ?       ?
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?


Solaris:

Version        7.0     8.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -


HPUX:

Version       10.0     11.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -


FreeBSD:

Version        4.x     5.x

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?


XST - 0.5
---------

The Ximian Setup Tools 0.5.2, codenamed "Sorry Dude, We Like Codenames"
have been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in frontends and
backends. The frontend knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools.

Changes since last release
--------------------------

- Bugs bugs bugs. Too many to count (Everybody)
- New distros supported/testsed : Red Hat 7.1, SuSE 7.0
  Debian Woody (Arturo, Joakim, Chema) [*1]
- Added a debian dir (thanks hadess)
- Blinking removed from time tool (Hans Petter)
- User profiles in users tool (Tambet)
- Significant speedup (Hans Petter)
- Time-tool front end improvements (Chema)
- Timezone setting on Debian fixed (Hans Petter)
- All tools can save their state between sessions (Tambet)
- Searchbar is complexity-aware in users tool (Tambet)
- Sort list of selectable distributions (Nils Barth)
- Fixed shares tool SMB problems (Hans Petter)
- Location management builds by default now (Bradford)
- Beginnings of FreeBSD support (Theo van Klaveren)
- New root authentication based on work by Chris L. Bond (Hans Petter)
- You can now avoid having your DNS settings overriden with DHCP information
  with systems using pump (Arturo)
- Lots of strings marked for translation and typos corrected (Carlos)

[*1] - Debian Woody "mapping" stanzas for /etc/network/interfaces are not supported
yet. Modem and ISDN connections for SuSE 7.0 are not yet implemented as well.

Downloading
----------
You can get it from :

ftp://ftp.ximian.com/pub/setuptools/
or (once the mirrors sync)
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

Contributions
-------------

We are happy to say that a lot of contributions have started flowing
in. We still need lots of help from anybody interested in contributing
to XST. 

- Testing
   Testing that the tools work correctly on your system and either filing
   detailed bug reports or confirming that they work correctly is greatly
   appreciated. If you test a tool on an unsupported distro/system and find out
   that it works correctly let us know so that we can update the supported
   tools matrix (see below).
  
- Porting
   The backends are designed as to minimize the effort needed to support more
   distros/systems. A great way to contribute is to port the tools to
   another distribution/system.


Mailing list / IRC
------------------

We have a mailing list set up at :
http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in IRC server irc.gnome.org channel #xst


Whitepaper
----------

You can find the latest version of the XST whitepaper at:

http://primates.ximian.com/~miguel/helix-setup-tools.html


Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.
     
Location Management
-------------------

Location management is available under the program
"location-manager-capplet", now built by default.

This program runs in two modes: per-user and global. In per-user mode
(the default), the capplets available from the control center are
location-managed. In order to use this mode, you will need to fetch
the GNOME Control Center from CVS (HEAD branch). A release of the
Control Center with capplets that support location management will be
made shortly.

In global mode, the Ximian Setup Tools themselves are location
managed. To invoke the location manager in this mode, pass the -g
option. Of course, you will need to be running as root to run the
location manager in this mode.


The current set of tools include :
----------------------------------

- Network admin
   
   Allows you to configure your:
   - hostname
   - samba hostname and workgroup
   - DNS servers
   - search domains
   - hosts (/etc/hosts)
   - Network interfaces
        - ppp 
        - ethernet
        - slip
        - wavelan (limited support)
  	
- Time admin

   Allows you to configure your :
   - Date & Time
   - Timezone
   - NTPD servers
   
- Users admin

    Allows you to manage :
    - Users
        - username / full name
        - password
        - home dir
        - shell
        - groups
    - Groups
    
- Boot admin

     Allows you to set :
     - Default boot partition
     - Partition type and label
     - Timeout
     - Kernel image
     - Kernel extra parameters (append)
     - adding or deleting partitions from the boot manager
     
- Shares admin

     Allows you to import and export NFS and samba
     shares.
     - import NFS & samba shares
     - export NFS & samba shares

- Disks admin

     Allows you to :
     - Mount and unmount local file systems.

- Memory admin

     Allows you to configure :
     - Swap partitions
     - Swap files
     - priorities of swap areas


Verification matrix
-------------------

This is a matrix describing the current status of tool platform/distribution
support. To the best of our knowledge.

Key:

+  Supported and tested. The tool will not ask you to select a compatible
   version or distribution. Of course, there may still be bugs. :-)
+? Supported, not tested. Same as '+', but we haven't tested it. In other
   words, it "should work", because we know it's compatible.
?  Unsupported, may work. You'll be asked to select a compatible version or
   distribution, which may or may not work.
-  Unsupported, doesn't work. We haven't worked on any version of that
   flavour. It's most possible that it won't work.


Red Hat Linux:

Version        5.2     6.0     6.1     6.2     7.0     7.1

Boot            +?      +?      +?      +       +       +
Disks           +?      +?      +?      +       +       +
Memory          +?      +?      +?      +       +       +
Network         +?      +?      +?      +       +       +
Shares          +?      +?      +?      +       +       +
Time            +?      +?      +?      +       +       +
Users           +?      +?      +?      +       +       +


Debian GNU/Linux:

Version        2.2    Woody

Boot            +       +
Disks           +       +
Memory          +       +
Network         +       +?
Shares          +       +
Time            +       +
Users           +       +?

Woody comments: You'll have to echo 'woody' > /etc/debian_version to
make the ximian-setup-tools detect your distribution. 

Linux Mandrake:

Version        7.0     7.1     7.2     8.0

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +       ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?


SuSE Linux:

Version        6.3     6.4     7.0     7.1

Boot            ?       ?       +       ?
Disks           ?       ?       +       ?
Memory          ?       ?       +       ?
Network         ?       ?       +?      ?
Shares          ?       ?       +       ?
Time            ?       ?       +       ?
Users           ?       ?       +       ?


Turbolinux:

Version         6

Boot            ?
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


LinuxPPC:

Version        2000

Boot            -
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


Yellow Dog Linux:

Version        1.2     2.0

Boot            -       -
Disks           ?       ?
Memory          ?       ?
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?


Solaris:

Version        7.0     8.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -


HPUX:

Version       10.0     11.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -


FreeBSD:

Version        4.x     5.x

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?


XST - 0.4.1
-----------

The Ximian Setup Tools 0.4.0 codenamed "Dude where's my Code" has been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in a frontend and
backend, the frontends knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools.


You can get it from :

ftp://ftp.ximian.com/pub/setuptools/
or (once the mirrors sync)
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/ximian-setup-tools

About this release
-----------------
This is a bugfix only release. We found a small but evil bug that may cause
partitions in Debian systems to be mounted as readonly. 

For the 0.4.0 release notes visit :
http://mail.gnome.org/archives/gnome-announce-list/2001-May/msg00024.html

Changes since last release
--------------------------     

- Debian disks tools bug fixed (Joakim, Hans Petter)
- Blinking is gone from the time tool (Chema)
- Samba is found from the right location on RH 7.1 (Hans Petter)
- Spec file date fix (thanks  Erick Woods <erick@erick.com>)
- configure.in checks for glade (thanks hadess)


===========================================================================================

XST - 0.4
---------

The Ximian Setup Tools 0.4.0 codenamed "Perris Valley" has been released.

The Ximian Setup Tools are a set of cross-platform configuration utilities
for Linux and other Unices. Internally they are divided in a frontend and
backend, the frontends knows nothing about the underlying system and provides
the same user interface across the different types of systems. The backend
knows how to read and write configuration information. The Ximian Setup Tools
do not impose a new database on the system, they work with the default
configuration files so that configuration can still be done by hand or by
other tools.

Changes since last release
--------------------------     

- Network tool improvements / bugfixes (Arturo).

- Support for translation of backend messages (Kenneth, Arturo).

- Removal of iteractive report/progress due to speed impact (Arturo, Hans Petter).

- Porting to Debian 2.2 (Arturo).

- Searching in users-admin (Anna, Tambet).

- Druid for users-admin simple mode (Anna, Tambet).

- New shares-admin interface (Anna, Hans Petter).

- Lots and lots of medium to small bugfixes (everyone).


Contributions
-------------

We need lots of help from anybody interested in contributing to XST. 

- Testing
   Testing that the tools work correctly on your system and either filing
   detailed bug reports or confirming that they work correctly is greatly
   appreciated. If you test a tool in an unsupported distro/system and find out
   that it works correctly let us know so that we can update the supported
   tools Matrix (see below).
  
- Porting
   The backends are designed as to minimize the effort needed to support more
   distros/systems. A great way to contribute is to port the tools to
   another distribution/system.


Mailing list / IRC
------------------
We have a mailing list set up at :
http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

You can also find us in IRC server irc.gnome.org channel #xst

Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.
     

The current set of tools include :
----------------------------------

- Network admin
   
   Allows you to configure your:
   - hostname
   - samba hostname and workgroup
   - DNS servers
   - search domains
   - hosts (/etc/hosts)
   - Network interfaces
        - ppp 
        - ethernet
        - slip
        - wavelan (limited support)
  	
- Time admin

   Allows you to configure your :
   - Date & Time
   - Timezone
   - NTPD servers
   
- Users admin

    Allows you to manage :
    - Users
        - username / full name
        - password
        - home dir
        - shell
        - groups
    - Groups
    
- Boot admin

     Allows you to set :
     - Default boot partition
     - Partition type and label
     - Timeout
     - Kernel image
     - Kernel extra parameters (append)
     - adding or deleting partitions from the boot manager
     
- Shares admin

     Allows you to import and export NFS and samba
     shares.
     - import NFS & samba shares
     - export NFS & samba shares

- Disks admin

     Allows you to :
     - Mount and unmount local file systems.

- Memory admin

     Allows you to configure :
     - Swap partitions
     - Swap files
     - priorities of swap areas

Verification matrix
-------------------

This is a matrix describing the current status of tool platform/distribution
support. To the best of our knowledge.

Key:

+  Supported and tested. The tool will not ask you to select a compatible
   version or distribution. Of course, there may still be bugs. :-)
+? Supported, not tested. Same as '+', but we haven't tested it. In other
   words, it "should work", because we know it's compatible.
?  Unsupported, may work. You'll be asked to select a compatible version or
   distribution, which may or may not work.
-  Unsupported, doesn't work. We haven't worked on any version of that
   flavour. It's most possible that it won't work.


Red Hat Linux:

Version        5.2     6.0       6.1     6.2      7.0

Boot            +?      +?        +?      +       +
Disks           +?      +?        +?      +       +
Memory          +?      +?        +?      +       +
Network         +?      +?        +?      +       +
Shares          +?      +?        +?      +       +
Time            +?      +?        +?      +       +
Users           +?      +?        +?      +       +


Debian GNU/Linux:

Version        2.2    Woody

Boot            +       ?
Disks           +       ?
Memory          +       ?
Network         +       ?
Shares          +       ?
Time            +       ?
Users           +       ?


Linux Mandrake:

Version        7.0     7.1    7.2     8.0

Boot           ?       ?       +       ?
Disks          ?       ?       +       ?
Memory         ?       ?       +       ?
Network        ?       ?       +       ?
Shares         ?       ?       +       ?
Time           ?       ?       +       ?
Users          ?       ?       +       ?


SuSE Linux:

Version        6.3     6.4     7.0

Boot            ?       ?       ?
Disks           ?       ?       ?
Memory          ?       ?       ?
Network         ?       ?       ?
Shares          ?       ?       ?
Time            ?       ?       ?
Users           ?       ?       ?


Turbolinux:

Version         6

Boot            ?
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


Caldera OpenLinux:

Version     eDesktop 2.4

Boot            ?
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


LinuxPPC:

Version        2000

Boot            -
Disks           ?
Memory          ?
Network         -
Shares          ?
Time            -
Users           ?


Yellow Dog Linux:

Version        1.2     2.0

Boot            -       -
Disks           ?       ?
Memory          ?       ?
Network         -       -
Shares          ?       ?
Time            -       -
Users           ?       ?


Solaris:

Version        7.0     8.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -


HPUX:

Version       10.0     11.0

Boot            -       -
Disks           -       -
Memory          -       -
Network         -       -
Shares          -       -
Time            -       -
Users           -       -



===========================================================================================
XST - 0.3
---------

The Ximian Setup Tools 0.3.0
codenamed : "They know what is what but they don't know what is what"
have been released.

You can get it here :
ftp://ftp.ximian.com/pub/setuptools/ximian-setup-tools-0.3.0.tar.gz

This is a working snapshot of a continuous effort, and the project is still
in its infancy. As such, there are no guarantees of usability, beauty or evil
masterplan compliance. Although we've made an effort to iron out all the
bugs, the tools may still damage your system configuration. For that reason,
we've created a backup system for your config files (see below).

This is a new features and beautification release. Most of the tools have new
artwork, courtesy of Tuomas and Jakub, and some have new interfaces by Anna.
Also, there is lots of new code.

Ximian Setup Tools now require, in addition to the GNOME libraries, the
latest version of GAL. You should get by with GAL 0.5, but the latest CVS
snapshot is recommended.


Tools in this release
---------------------

Boot     LILO boot parameters. Beautified.
Disks    Find local harddisk partitions and mount them. Not beautified.
Memory   Swap partitions and files. Not beautified.
Network  All kinds of network parameters. Multiple interfaces. Beautified.
Shares   NFS, SMB. Export, detect, import. Not beautified.
Time     System clock, timezone, timeserver synchronization. Beautified.
Users    Users and groups. Beautified.


Participation
-------------

We need help, in particular to test these tools and port them to as many
Unixy platforms and distributions as possible.

If this seems like a worthy challenge, please get in touch with us. Further
information can be found in the references section at the end of this text.

Also, if you have any problems with these tools (identified in detail or
not), we'd be absolutely delighted to hear from you.



Backup system
-------------

Every time a tool modifies your system configuration files, it makes backups
of those files. The backups are rotated (for 9 levels in total), and the
backup made the first time the tool was run is kept forever. This means that
you can revert your system configuration to the point before you ever ran a
Ximian Setup Tool.

The backup path is /var/cache/ximian-setup-tools/backup/<tool>/<id>/. In this
directory, you'll find a complete snapshot of the files that were modified.
The original directory structure leading up to these files is also kept. <id>
runs from 1-9, and when the first backup is rotated out, it is kept in a
special catalog called "First", which is never touched again.


Changes since 0.2.1
-------------------

- Time beautified (Anna, Jacob).

- Time backend speedup (Chema).

- Added report display to frontend, which shows actions taken as
  configuration is read/written (Hans Petter).

- Source cleanup (Jacob).

- Backend code refactored (Hans Petter).

- Networking and Name Resolution merged to form new, pretty and more
  functional Network (Jacob, Arturo, Anna, Chema).

- Users fixed and polished (Tambet).

- Implemented Boot tool (Tambet).

- Platform detection and selection (Arturo, Hans Petter).

- New configuration backup/rescue scheme (Hans Petter).

- Generic code for parsing/modifying configuration files (Arturo).

- Countless bugfixes (everyone).


About the Ximian Setup Tools
----------------------------

- Primary audience - desktop users:

  These tools are intended to simplify the tasks of configuring a Unix system
  for workstations. They are not intended for configuring Unix servers.

- Unified system configuration:

  Configuring different Unix systems is different; every Unix system has
  different ways of being administrated. The Ximian Setup Tools aspire to
  unify handling of these systems.

- Adaptability:

  Each one of the Ximian Setup Tools is split in two parts: a backend (which
  is typically written in Perl) and a user interface frontend (which is
  typically written in C or Python).

  The backends are written in a way that should allow us to quickly adapt
  them to different flavors of Unix; the backend probes your system and
  parses the existing system files. When the user has finished editing the
  settings, the configuration is written back as patches to the system files.

  This means that the Ximian Setup Tools use whatever configuration files are
  available on your system, and you can still edit those files by hand or
  with other configuration tools without conflicts.

Supported platforms/linux distributions
---------------------------------------
This is the list of platforms that Ximian will focus to support. The XST are
a community effort so in no way is this list limiting the supported systems.
Contributions to the XST for support of other distributions or UNIX variants
is very much appreciated.

Please note that the following list is NOT a list of supported
distributions, but rather a list of distributions we are planning to
support.

REDHAT   - Red Hat Linux 6.0, 6.1, 6.2, and 7.0 
DEBIAN   - Debian GNU/Linux (Woody and Potato) 
SUSE     - SuSE 6.3, 6.4, and 7.0 
MANDRAKE - Linux Mandrake 6.1 and 7.0 
PPC      - LinuxPPC 2000
TURBO    - TurboLinux 6.0 
CALDERA  - Caldera OpenLinux eDesktop 2.4 
YELLOW   - Yellow Dog Linux Champion Server 1.2 el
SOLARIS  - Solaris 7 and 8 on UltraSparc 
HPUX     - HP-UX


Verification matrix
------------------

This is a matrix describing the current status of tool platform/distribution
support. To the best of our knowledge.

        Red Hat    Debian  SuSE     MDK    PPC  Turbo  Cal  Yel  Sol    HPUX
        6.0 6.2    2.1     6.3 7.0  6.1    any  6.0    2.4  1.2  7.0    10.0
          6.1 7.0    2.2     6.4      7.0                          8.0    11.0

Boot     ? + + +    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -
Disks    ? ? + ?    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -
Memory   ? ? + +    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -
Network  ? + + +    - -     - - -    ? ?    ?    ?      ?    ?    - -     - -
Shares   ? ? + ?    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -
Time     ? + + +    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -
Users    ? + + +    ? ?     ? ? ?    ? ?    ?    ?      ?    ?    - -     - -


References
----------

Introduction: http://www.ximian.com/desktop/setuptools.php3

Whitepaper:   http://www.ximian.com/tech/helix-setup-tools.php3

Mailing list: http://lists.ximian.com/mailman/listinfo/setup-tool-hackers

FTP:          ftp://ftp.ximian.com/pub/setuptools/

GNOME CVS:    Module "ximian-setup-tools".

IRC:          irc.gnome.org, #xst

Developers:   Chema Celorio <chema@ximian.com>
              Hans Petter Jansson <hpj@ximian.com>
              Arturo Espinosa <arturo@ximian.com>
              Tambet Ingo <tambet@ximian.com>
              Jacob Berkman <jacob@ximian.com>
              Bradford Hovinen <bradford@ximian.com>

Artists:      Anna Dirks <anna@ximian.com>
              Jakub Steiner <jimmac@ximian.com>
              Tuomas Kuosmanen <tigert@ximian.com>

Release of 0.2.1 (Suspicion breeds Confidence)
==============================================

- Ability to change users' passwords in Users, even with MD5 enabled.
  [Arturo, Tambet]

- Debian adaption for Name Resolution backend. [Michael Vogt]

- Fixes to build system. [Mathieu Lacage]

- Aesthetic improvements to EMap, used for timezone selection in Time.
  [Hans Petter]

- Wrote and added README, NEWS, AUTHORS and HACKING files to the
  distribution. [Hans Petter]

- Made Users XML handling more robust. [Tambet]

- Fixed problem arising when Users backend got empty logindefs keys, which
  lead to some crashes. [Young-Ho Cha]

- More intuitive IP entry in Networking. [Peter Hawkins]

- Massive translation work. [The GNOME translation team]

- I18n enabled in all frontends, shortcoming pointed out by Robert Vanyi.
  [Hans Petter]

- Graphical root authentication when started from GNOME panel menu, works
  through Red Hat's consolehelper. [Hans Petter]


Release of 0.2.0 (Un-ix)
========================

- Merged the existing tools into one package with shared, policy-enforcing
  code for the frontends. [Hans Petter]

- Shared Perl code for backends and a cleanup of existing Perl code. [Arturo]

- Implemented Time. [Hans Petter]

- Implemented Memory. [Bradford]

- Implemented Disks. [Hans Petter]

- Implemented Users. [Arturo, Tambet]

- Re-implemented parts of Memory to make the backend do all the config
  detection and manipulation. [Tambet]

- Simple protocol that allows the backends to tell the frontends about their
  progress, and progress indicators in all frontends. [Hans Petter]

- Handling of fstab is more gentle, preserving all manually set options,
  e.g. NFS' wsize, rsize. [Hans Petter]

- Integration with the new control-center. At this point, you need CVS
  control-center to make it work, but the icons show up in the old one as
  well. [Bradford, Hans Petter]

- Shares has more robust handling of user input. [Hans Petter]

- Totally reworked the timezone selector in the early release of Time. It now
  has locations instead of GMT offset strips, uses GdkPixbuf directly (faster
  and better-looking), and has some special effects. All of this is in a
  reusable widget called EMap and a surrogate widget-like layer called
  ETzMap. [Hans Petter]

- Debian support for Networking. [David Lee Ludwig]

- Shares now has more workarounds for pessimal SMB situations, like Windows
  master hosts that serve empty host lists (in error). [Hans Petter]

- Build-time massaging of interfaces and backends that makes life both
  easier and more conforming. [Arturo]

- Red Hat 7.0 fixes. [Hans Petter]
